//  ***********************************************************************************
//  ******  weapons spezial  ******
//  *******************************
/* **********          Reload          ********** */
ACTOR ReloadActive : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_GiveInventory("Reload", 1)
			Fail
	}
}
ACTOR ReloadCancel : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_JumpIfInventory("Reload",1,1)
			Fail
			TNT1 A 0 A_TakeInventory("Reload", 1)
			Fail
	}
}
ACTOR Reload : Inventory
{
	Inventory.MaxAmount 1
}
/* **********          Unload          ********** */
ACTOR UnloadActive : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_GiveInventory("Unload", 1)
			Fail
	} 
}
ACTOR UnloadCancel : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_JumpIfInventory("Unload",1,1)
			Fail
			TNT1 A 0 A_TakeInventory("Unload", 1)
			Fail
	}
}
ACTOR Unload : Inventory
{
	Inventory.MaxAmount 1
}
/* **********          DropAmmo          ********** */
ACTOR DropAmmoActive : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_GiveInventory("DropAmmo", 1)
			Fail
	} 
}
ACTOR DropAmmoCancel : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,1)
			Fail
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			Fail
	}
}
ACTOR DropAmmo : Inventory
{
	Inventory.MaxAmount 1
}
/* **********          DropWeapon          ********** */
ACTOR DropWeaponActive : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_GiveInventory("DropWeapon", 1)
			Fail
	} 
}
ACTOR DropWeaponCancel : CustomInventory
{
	Inventory.Amount 1
	Inventory.MaxAmount 1
	-INVBAR
	States
	{
		Use:
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,1)
			Fail
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			Fail
	}
}
ACTOR DropWeapon : Inventory
{
	Inventory.MaxAmount 1
}
//  ***********************************************************************************
//  ******  weapons  ******
//  ***********************
/* **********          Weapon Heat          ********** */
ACTOR PhotonRifleHeat : Ammo
{
	Inventory.MaxAmount 100
	Ammo.BackpackAmount 0
	Ammo.BackpackMaxAmount 100
	Inventory.Icon STTPRCNT
}
//  ***********************************************************************************
//  ******  Alertmonsters  ******
//  *****************************
ACTOR AlertMonsters
{
	Health 1000
	Radius 1 Height 1 Speed 0
	Damage 0
	Mass 1   
	PROJECTILE
	+NOCLIP
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 1 A_AlertMonsters
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: Magic hands (fireball)                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor MagicHandsFireballPickup : CustomInventory
{
	Scale 0.2
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a fireball scroll."
	+FLOATBOB
	states
	{
		Spawn:
			SPL1 A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireball", 1, 3)
			TNT1 A 0 A_GiveInventory("MagicHandsFireball", 1)
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			stop
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireballPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MagicHandsFireballPickupEmpty : MagicHandsFireballPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireball", 1, 1)
			TNT1 A 0 A_GiveInventory("MagicHandsFireball", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireballPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR MagicHandsFireball : Weapon // 25000
{
	Scale 0.2
	weapon.selectionorder 2900
	Weapon.AmmoType "Darkmana"
//	Weapon.AmmoGive 20
	Weapon.AmmoUse 3
	Weapon.AmmoType2 "Darkmana"
	Weapon.AmmoUse2 2
	+FLOATBOB
//	+WEAPON.DONTBOB
	States
	{
		Spawn:
			SPL1 A 0
			SPL1 A 1 A_SpawnItem("MagicHandsFireballPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			SPLH H 2 A_WeaponReady
			Loop
		Deselect:
			SPLH H 1 A_Lower
			NULL A 0 A_Lower
			goto Deselect// + 2
		Select:
			//goto Ready
			SPLH H 1 A_Raise
			Loop
		AltFire:
			SPLH A 0 A_Checkreload
			SPLH IJKL 3
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",0,1,2,0)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",356,0,2,0)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",4,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",348,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",12,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",352,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",8,0,2,1)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",1,0,2,1)
			SPLH M 0 A_CheckReload
			SPLH K 0 A_PlayWeaponSound("weapons/firespark1")
			SPLH K 0 A_ReFire
			SPLH KJI 3
			Goto Ready
		AltHold:
			SPLH A 0 A_Checkreload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",0,1,2,0)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",356,0,2,0)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",4,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",348,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",12,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",352,0,2,2)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",8,0,2,1)
			SPLH M 0 A_CheckReload
			SPLH M 1 Bright A_FireCustomMissile("FireSpark",1,0,2,1)
			SPLH M 0 A_CheckReload
			SPLH K 0 A_PlayWeaponSound("weapons/firespark1")
			SPLH K 0 A_ReFire
			SPLH KJI 3
			Goto Ready
		Fire:
			SPLH A 0 A_Checkreload
			SPLH IJKL 3
			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
			SPLH M 8 A_FireCustomMissile("MagicHandsFireShot2",0,1,0,0)
			SPLH L 3
			SPLH L 0 A_ReFire
			SPLH KJI 3
			Goto Ready
		Hold:
			SPLH A 0 A_Checkreload
			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
			SPLH M 8 A_FireCustomMissile("MagicHandsFireShot2",0,1,0,0)
			SPLH L 3
			SPLH L 0 A_ReFire
			SPLH KJI 3
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Darkmana", 6, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Darkmana", 6)
			TNT1 A 0 A_SpawnItemEx("SmallDarkmana", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireball", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireballPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MagicHandsFireball", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: Magic hands (firewall)                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor MagicHandsFireWallPickup : CustomInventory
{
	Scale 0.2
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a firewall scroll."
	+FLOATBOB
	states
	{
		Spawn:
			SPL2 A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireWall", 1, 3)
			TNT1 A 0 A_GiveInventory("MagicHandsFireWall", 1)
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			stop
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireWallPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MagicHandsFireWallPickupEmpty : MagicHandsFireWallPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireWall", 1, 1)
			TNT1 A 0 A_GiveInventory("MagicHandsFireWall", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireWallPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR MagicHandsFireWall : Weapon // 25003
{
	Scale 0.2
	weapon.selectionorder 2901
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "You learned the firewall spell."
	Weapon.AmmoType "Darkmana"
//	Weapon.AmmoGive 20
	Weapon.AmmoUse 8
	Weapon.AmmoType2 "Darkmana"
	Weapon.AmmoUse2 10
	+FLOATBOB
//	+WEAPON.DONTBOB
	States
	{
		Spawn:
			SPL2 A 0
			SPL2 A 1 A_SpawnItem("MagicHandsFireWallPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			SPLH H 2 A_WeaponReady
			Loop
		Deselect:
			SPLH H 1 A_Lower
			NULL A 0 A_Lower
			goto Deselect// + 2
		Select:
			//goto Ready
			SPLH H 1 A_Raise
			Loop
		Fire:
			SPLH M 0 A_Checkreload
			SPLH IJKL 3
			SPLH L 0 A_PlayWeaponSound("weapons/firewand")
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 1, 0, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, -15, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, -30, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, 15, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, 30, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand", 0, 0, -45, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand", 0, 0, 45, -16)
			SPLH M 3
			SPLH L 40
			SPLH L 0 A_ReFire
			SPLH KJI 3
			Goto Ready
		Hold:
			SPLH A 0 A_Checkreload
			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 1, 0, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, -15, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, -30, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, 15, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand_", 0, 0, 30, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand", 0, 0, -45, -16)
			NULL A 0 A_FireCustomMissile("HFirex_Wand", 0, 0, 45, -16)
			SPLH M 3
			SPLH L 40
			SPLH O 0 A_ReFire
			SPLH KJI 3
			Goto Ready
		AltFire:
			SPLH A 0 A_Checkreload
			SPLH IJKL 3
			SPLH L 0 A_PlayWeaponSound("weapons/firewand")
			SPLH L 0 A_FireCustomMissile("MagichandFloorFireShot_1_Start", 0, 1, 8, 5)//A_CustomMissile("T_FireShot_1_Start", 16, 0, -8, 0)
			SPLH L 0 A_FireCustomMissile("MagichandFloorFireShot_1_Start", 0, 0, -8, 5)//A_CustomMissile("T_FireShot_1_Start", 16, 0, 8, 0)
			SPLH M 3
			SPLH L 40
			SPLH M 0 A_ReFire
			SPLH KJI 3
			Goto Ready
		AltHold:
			SPLH A 0 A_Checkreload
			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
			SPLH M 0 A_FireCustomMissile("MagichandFloorFireShot_1_Start", 0, 1, 8, 5)//A_CustomMissile("T_FireShot_1_Start", 16, 0, -8, 0)
			SPLH M 0 A_FireCustomMissile("MagichandFloorFireShot_1_Start", 0, 0, -8, 5)//A_CustomMissile("T_FireShot_1_Start", 16, 0, 8, 0)
			SPLH M 3
			SPLH L 40
			SPLH O 0 A_ReFire
			SPLH KJI 3
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Darkmana", 6, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Darkmana", 6)
			TNT1 A 0 A_SpawnItemEx("SmallDarkmana", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("MagicHandsFireWall", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("MagicHandsFireWallPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MagicHandsFireWall", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: Magic hands (greenball)                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor MagicHandsGreenballPickup : CustomInventory
{
	Scale 0.2
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a poison ball scroll."
	+FLOATBOB
	states
	{
		Spawn:
			SPL3 A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsGreenball", 1, 3)
			TNT1 A 0 A_GiveInventory("MagicHandsGreenball", 1)
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			stop
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			TNT1 A 0 A_SpawnItemEx("MagicHandsGreenballPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MagicHandsGreenballPickupEmpty : MagicHandsGreenballPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsGreenball", 1, 1)
			TNT1 A 0 A_GiveInventory("MagicHandsGreenball", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MagicHandsGreenballPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR MagicHandsGreenball : Weapon // 25012
{
	Scale 0.2
	weapon.selectionorder 2900
	Weapon.AmmoType "Darkmana"
//	Weapon.AmmoGive 20
	Weapon.AmmoUse 1
	Weapon.AmmoType2 "Darkmana"
	Weapon.AmmoUse2 20
	+FLOATBOB
//	+WEAPON.DONTBOB
	States
	{
		Spawn:
			SPL3 A 0
			SPL3 A 1 A_SpawnItem("MagicHandsGreenballPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			SPLH H 2 A_WeaponReady
			Loop
		Deselect:
			SPLH H 1 A_Lower
			NULL A 0 A_Lower
			goto Deselect// + 2
		Select:
			//goto Ready
			SPLH H 1 A_Raise
			Loop
		Fire:
			SPLH A 0 A_Checkreload
			SPLH IJKL 3
			SPLH L 0 A_PlayWeaponSound("weapons/firewand")
			SPLH L 1 A_FireCustomMissile("MagichandPoisionSpray",0,1,-8)
			SPLH L 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,8)
			SPLH L 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,-8)
			SPLH L 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,8)
			SPLH L 0 A_ReFire
			SPLH LKJI 3
			Goto Ready
		Hold:
			SPLH A 0 A_Checkreload
			SPLH L 0 A_PlayWeaponSound("weapons/firewand")
			SPLH L 1 A_FireCustomMissile("MagichandPoisionSpray",0,1,-8)
			SPLH L 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,8)
			SPLH L 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,-8)
			SPLH L 1 A_FireCustomMissile("MagichandPoisionSpray",0,0,8)
			SPLH M 0 A_ReFire
			SPLH LKJI 3
			Goto Ready
		AltFire:
			SPLH A 0 A_Checkreload
			SPLH IJKL 3
			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
			SPLH M 0 A_FireCustomMissile("MagichandPoisonFieldShot_Start",0,1,0,0)
			SPLH M 3
			SPLH L 40
			SPLH L 0 A_ReFire
			SPLH KJI 3
			Goto Ready
		AltHold:
			SPLH A 0 A_Checkreload
			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
			SPLH M 0 A_FireCustomMissile("MagichandPoisonFieldShot_Start",0,1,0,0)//A_FireCustomMissile("MagichandIceFieldShot_Start",0,1,0,0)
			SPLH M 3
			SPLH L 40
			SPLH L 0 A_ReFire
			SPLH KJI 3
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Darkmana", 6, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Darkmana", 6)
			TNT1 A 0 A_SpawnItemEx("SmallDarkmana", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("MagicHandsGreenball", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("MagicHandsGreenballPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MagicHandsGreenball", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: Magic hands (lighting)                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor MagicHandsLightingPickup : CustomInventory
{
	Scale 0.2
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a lighting spell scroll."
	+FLOATBOB
	states
	{
		Spawn:
			SPL4 A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsLighting", 1, 3)
			TNT1 A 0 A_GiveInventory("MagicHandsLighting", 1)
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			stop
			TNT1 A 0 A_GiveInventory("Darkmana", 20)
			TNT1 A 0 A_SpawnItemEx("MagicHandsLightingPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MagicHandsLightingPickupEmpty : MagicHandsLightingPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MagicHandsLighting", 1, 1)
			TNT1 A 0 A_GiveInventory("MagicHandsLighting", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MagicHandsLightingPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR MagicHandsLighting : Weapon // 25004
{
	Scale 0.2
	weapon.selectionorder 2900
	Weapon.AmmoType "Darkmana"
//	Weapon.AmmoGive 20
	Weapon.AmmoUse 1
	Weapon.AmmoType2 "Darkmana"
	Weapon.AmmoUse2 25
	+FLOATBOB
//	+WEAPON.DONTBOB
	States
	{
		Spawn:
			SPL4 A 0
			SPL4 A 1 A_SpawnItem("MagicHandsLightingPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			SPLH H 2 A_WeaponReady
			Loop
		Deselect:
			SPLH H 1 A_Lower
			NULL A 0 A_Lower
			goto Deselect// + 2
		Select:
			//goto Ready
			SPLH H 1 A_Raise
			Loop
		Fire:
			SPLH A 0 A_Checkreload
			SPLH IJKL 3
			SPLH L 0 A_PlayWeaponSound("weapons/firewand")
			SPLH L 0 A_FireCustomMissile("MagichandLightingShot_small",0,1,0,0)
			SPLH M 3
			SPLH L 0 A_ReFire
			SPLH KJI 3
			Goto Ready
		Hold:
			SPLH A 0 A_Checkreload
			SPLH L 3
			SPLH M 0 A_PlayWeaponSound("weapons/firewand")
			SPLH M 0 A_FireCustomMissile("MagichandLightingShot_small",0,1,0,0)
			SPLH M 3
			SPLH L 0 A_ReFire
			SPLH KJI 3
			Goto Ready
		AltFire:
			SPLH A 0 A_Checkreload
			SPLH IJKL 3
			SPLH L 0 A_PlayWeaponSound("weapons/firewand")
			SPLH L 0 A_FireCustomMissile("MagichandLightingShot_Big",0,1,0,0)
			SPLH M 6
			SPLH KJI 3
			SPLH I 24
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Darkmana", 6, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Darkmana", 6)
			TNT1 A 0 A_SpawnItemEx("SmallDarkmana", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("MagicHandsLighting", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("MagicHandsLightingPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MagicHandsLighting", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: TNT_BURN  (mit Lunte)                   ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR TNT_BURN : Weapon // 25070
{
	weapon.selectionorder 2500
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "You got TNT!"
	Weapon.AmmoType1 "TNT"
	Weapon.AmmoGive1 0
	Weapon.AmmoUse1 1
	Weapon.AmmoType2 "TNT"
	Weapon.AmmoUse2 1
	Weapon.Kickback 0
//	AttackSound "weapons/tntwurf"
	Scale 0.7
	+NOALERT
	States
	{
		Spawn:
			TNTA A -1
			Loop
		Ready:
			TNTC D 0 A_CheckReload
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNTC D 2 A_WeaponReady
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNTC E 2 A_WeaponReady
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNTC F 2 A_WeaponReady
			Loop
		Deselect:
			TNTC D 1 A_Lower
			TNTC E 1 A_Lower
			TNTC F 1 A_Lower
			Loop
		Select:
			TNTC D 0 A_CheckReload
			TNTC D 1 A_Raise
			TNTC E 1 A_Raise
			TNTC F 1 A_Raise
			Loop
		Fire:
			AT00 ABCD 3
			AT00 E 3 A_PlayWeaponSound("weapons/tntlunte")
			AT00 FG 3
			AT00 HIJ 1
			AT00 KLM 3
			AT00 N 0 A_FireCustomMissile("TNT_BURN_FL",0,1,0,5)
			AT00 N 0 A_PlayWeaponSound("weapons/tntwurf")
			AT00 NOPQ 3
			Goto Ready
		AltFire:
			AT00 A 0 A_CheckReload
			AT00 ABCD 3
			AT00 E 3 A_PlayWeaponSound("weapons/tntlunte")
			AT00 FG 3
			AT00 HIJ 1
			AT00 KLM 3
			AT00 N 0 A_FireCustomMissile("TNT_BURN_FL_ALT",0,1,0,5)
			AT00 N 0 A_PlayWeaponSound("weapons/tntwurf")
			AT00 NOPQ 3
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("TNT", 1, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("TNT", 1)
			TNT1 A 0 A_SpawnItemEx("TNT", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
	}
}
//  ********************************************************
//  ***  Weapon: TNT_TV  (Fernzuender)                   ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR TNT_TV : Weapon // 25071
{
	weapon.selectionorder 3800
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "You got TNT!"
	Weapon.AmmoType1 "TNT"
	Weapon.AmmoGive1 0
	Weapon.AmmoUse 1
	Weapon.AmmoType2 "TNT"
	Weapon.AmmoUse 0
	Weapon.Kickback 0
	AttackSound "weapons/pbarm"
	Scale 0.7
	+NOALERT
	States
	{
		Spawn:
			TNTW I 16
			TNTW J 16
			Loop
		Ready:
			TNTG J 0 A_JumpIfInventory("TNT",1,2)
			TNTG J 1 A_WeaponReady
			Goto Ready+1
			TNTG A 0
			TNTG A 0 A_CheckReload
			TNTG AB 16 A_WeaponReady
			Goto Ready+3
//			TNTG J 0 A_JumpIfInventory("TNT",1,1)
//			TNTG J 1
//			Goto Ready+2
		Deselect:
//			TNTG A 1 A_Lower
//			TNTG A 0 A_JumpIfInventory("TNT",1,7)
//			TNTG JKLMNO 1 A_Lower
			TNTG A 0 A_JumpIfInventory("TNT",1,2)
			TNTG J 1 A_Lower
			Loop
			TNTG A 1 A_Lower
			Loop
		Select:
//			TNTG A 0 A_GiveInventory("TNT_TV_Detonator")
			TNTG J 0 A_JumpIfInventory("TNT",1,2)
			TNTG J 1 A_Raise
			Goto Select+1
			TNTG A 0
			TNTG A 0 A_CheckReload
			TNTG A 1 A_Raise
			Goto Select+3
		Fire:
			TNTG D 0 A_JumpIfInventory("TNT",1,2)
			Goto Ready+1
			AT00 A 0// A_GiveInventory("TNT_TV_Detonator")
			AT00 ABC 3
			AT00 D 0 A_TakeInventory("TNT", 1)
			AT00 D 0 A_PlayWeaponSound("weapons/tntwurf")
			AT00 DE 3
			AT00 F 3 A_FireCustomMissile("TNT_TV_FL",0,1,0,5)
			AT00 G 3
			AT00 G 0 A_JumpIfInventory("TNT",1,2)
			AT00 G 0 A_CheckReload
			Goto Ready
			AT00 H 0
			AT00 H 5
			Goto Ready
		AltFire: 
			TNTG P 0 A_JumpIfInventory("TNT",1,6)
			TNTG P 0 A_PlayWeaponSound("weapons/tnttv_")
			TNTG P 0 A_AlertMonsters
			TNTG P 0 Thing_Projectile(1999,203,0,0,0)
			TNTG P 0 Thing_ReMove(1999)
			TNTG P 8
			Goto Ready+1
			TNTG C 0
			TNTG C 0 A_PlayWeaponSound("weapons/tnttv_")
			TNTG C 0 A_AlertMonsters
			TNTG C 0 Thing_Projectile(1999,203,0,0,0)
			TNTG C 0 Thing_ReMove(1999)
			TNTG C 8
			Goto Ready+3
	}
}
//  ********************************************************
//  ***  Weapon: TNT_DI (Bewegungsmelder)                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR TNT_DI : Weapon // 25072
{
	weapon.selectionorder 3510
//	+CHEATNOTWEAPON
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "You got TNT!"
	Weapon.AmmoType "TNT"
	Weapon.AmmoGive 0
	Weapon.AmmoUse 1
	Weapon.Kickback 0
	AttackSound "weapons/pbarm"
	Scale 0.7
	+NOALERT
	States
	{
		Spawn:
			TNTV IJKLM 6
			Loop
		Ready:
			TNTI A 0 A_CheckReload
			TNTI ABCDE 6 A_WeaponReady
			Loop
		Deselect:
			TNTI A 1 A_Lower
			Loop
		Select:
			TNTI A 0 A_CheckReload
			TNTI A 1 A_Raise
			Loop
		Fire:
			AT00 ABC 3
			AT00 D 3 A_PlayWeaponSound("weapons/tntwurf")
			AT00 E 3 A_FireCustomMissile("TNT_DI_FL",0,1,0,5)
			AT00 FGH 3
			Goto Ready
	}
}
//  Zndschnur sofort Explode -> flug
ACTOR TNT_BURN_FL
{
	Health 20
	+NOBLOOD
	+SHOOTABLE
	Renderstyle Normal
	Scale 0.4
	Radius 4
	Height 4
	Speed 30
	+NOBLOCKMAP
	+ACTIVATEPCROSS
	+ACTIVATEIMPACT
	+NOTELEPORT
//	+DROPOFF
//	+DONTFALL
	+MISSILE
//	ExplosionDamage 232
//	ExplosionRadius 192
	States
	{
		Spawn:
			TNTU ABCDEFGH 2
			Loop
		Death:
			TNT1 A 0 A_PlaySound("weapons/tntexplode")
			TNTU I 0 A_SpawnItemEx("TNTExplosion", 0, 0, 0, 0, 0, 0, -1, SXF_NOCHECKPOSITION)
//			TNTU I 0 A_CustomMissile("TNTExplosion", 0, 0, 0)
			Stop
	}
}
// Zndschnur -> flug und am Boden
ACTOR TNT_BURN_FL_ALT
{ 
	Health 20
	+NOBLOOD
	+SHOOTABLE
//	SeeSound "weapons/pbbounce"
//	DeathSound "weapons/pbbounce"
//	+DOOMBOUNCE
	Renderstyle Normal
	Scale 0.4
	Radius 4
	Height 4
	Speed 30
//	Damage 0
	+NOBLOCKMAP
	+ACTIVATEPCROSS
	+ACTIVATEIMPACT
	+NOTELEPORT
//	+DROPOFF
//	+DONTFALL
	+MISSILE
//	ExplosionDamage 232
//	ExplosionRadius 192
	States
	{
		Spawn:
			TNTU ABCDEFGH 2
			Loop
		Death:
			TNTU LMNLMNLMNLMNLMN 2
			TNTU LMNLMNLMNLMNLMN 2
			TNTU LMNLMNLMNLMNLMN 2
			TNT1 A 0 A_PlaySound("weapons/tntexplode")
			TNTU I 0 A_SpawnItemEx("TNTExplosion", 0, 0, 0, 0, 0, 0, -1, SXF_NOCHECKPOSITION)
//			TNTU L 0 A_CustomMissile("TNTExplosion", 0, 0, 0)
			Stop
	}
}
//  Fernzndung -> flug und am Boden (remotecontrol)
ACTOR TNT_TV_FL
{ 
	Health 20
	+NOBLOOD
	+SHOOTABLE
	Renderstyle Normal
	Scale 0.6
	Radius 4
	Height 4
	Speed 30
	Damage 0
	+NOBLOCKMAP
	+ACTIVATEPCROSS
	+ACTIVATEIMPACT
	+NOTELEPORT
//	+DROPOFF
//	+DONTFALL
	+MISSILE
//	ExplosionDamage 232
//	ExplosionRadius 192
	States
	{
		Spawn:
			TNTW ABCDEFGH 2 Thing_ChangeTid(0,1999)
			Loop
		Death:
			TNTW IJ 16
			TNTW I 0 Thing_ChangeTid(0,1999)
			TNTW IJ 16
			Goto Death+2
	}
}
//  Radiusznder -> flug (proximity)
ACTOR TNT_DI_FL
{ 
	+NOBLOOD
	+SHOOTABLE
//	+DOOMBOUNCE
//	Mass 1000000
	Renderstyle Normal
	Scale 0.6
	Radius 4
	Height 4
	Speed 30
	Damage 0
	+NOBLOCKMAP
	+ACTIVATEPCROSS
	+ACTIVATEIMPACT
	+NOTELEPORT
//	+DROPOFF
//	+DONTFALL
	+MISSILE
	ExplosionDamage 232
	ExplosionRadius 192
	States
	{
		Spawn:
			TNTV ABCDEFGH 2 A_Gravity
			Loop
		Death:
			TNTV I 20
//			TNTV I 0 A_SpawnItem("TNT_DI_ONFLOOR")
//			TNTV I 0 A_CustomMissile("TNT_DI_ONFLOOR", 0, 0, 0)
//			TNTV I 0 A_SpawnItem("TNT_DI_ONFLOOR_NEW")
			TNTV I 0 A_CustomMissile("TNT_DI_ONFLOOR_NEW", 0, 0, 0)
//			TNTV I 0 A_SpawnItem("TNT_DI_ONFLOOR_NEW_")
			Stop
	}
}
//  Radiusznder -> am Boden
ACTOR TNT_DI_ONFLOOR_NEW // friendly
{
	+NOBLOOD
	Scale 0.6
	+FRIENDLY
	+FLOORCLIP
	+MISSILEMORE
	+MISSILEEVENMORE
	+SHORTMISSILERANGE // Attak range is 1000
	+LOOKALLAROUND // Look in all directions
	+STANDSTILL // It is used to prevent inactive monsters from walking around without having something to attack.
	mass 99999999
	Health 40
	Radius 16
	Height 16
	Speed 0
	MONSTER 
	States
	{
		Spawn:
			TNTV I 0 A_Gravity
			TNTV IJKLM 4 A_Look
			NULL A 0 A_JumpIfCloser(256, 1)
			Loop
			NULL A 0
			Goto Death
		See:
			TNTV I 4 A_Chase
			TNTV J 4 A_Jump(128, 1)
			Goto Spawn
			TNTV K 4 A_Look
			TNTV I 0 A_JumpIfCloser(256, 1)
			Loop
			TNTV I 1
			Goto Death
		Missile:
			NULL A 0 A_JumpIfCloser(256, 1)
			Goto Spawn
			NULL A 0
			Goto Death
		Death:
			TNT1 A 0 A_PlaySound("weapons/tntexplode")
			TNTU I 0 A_SpawnItemEx("TNTExplosion", 0, 0, 0, 0, 0, 0, -1, SXF_NOCHECKPOSITION)
//			TNTV I 0 A_SpawnItem("TNTExplosion")
			Stop
	}
}
//  Radiusznder -> am Boden
ACTOR TNT_DI_ONFLOOR_NEW_ : TNT_DI_ONFLOOR_NEW // not friendly
{
	-FRIENDLY
	States
	{
		Spawn:
			NULL A 0 A_Gravity
			NULL AAAAA 6 A_Look
			NULL A 0 A_JumpIfCloser(256, 1)
			Loop
			NULL A 0
			Goto Death
		See:
			NULL A 6 A_Chase
			NULL A 6 A_Jump(128, 2)
			NULL A 6 A_Look
			NULL A 0 A_JumpIfCloser(256, 1)
			Loop
			NULL A 1
			Goto Death
		Missile:
			NULL A 0 A_JumpIfCloser(256, 1)
			Goto Spawn
			NULL A 0
			Goto Death
		Death:
			TNT1 A 0 A_PlaySound("weapons/tntexplode")
			TNTU I 0 A_SpawnItemEx("TNTExplosion", 0, 0, 0, 0, 0, 0, -1, SXF_NOCHECKPOSITION)
//			NULL A 0 A_SpawnItem("TNTExplosion")
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: BFG10k                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor BFG_10kPickup : CustomInventory
{
	Scale 1.0
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the BFG 10k !"
	states
	{
		Spawn:
			PCNW A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("BFG_10k", 1, 3)
			TNT1 A 0 A_GiveInventory("BFG_10k", 1)
			TNT1 A 0 A_GiveInventory("Cell", 50)
			stop
			TNT1 A 0 A_GiveInventory("Cell", 50)
			TNT1 A 0 A_SpawnItemEx("BFG_10kPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor BFG_10kPickupEmpty : BFG_10kPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("BFG_10k", 1, 1)
			TNT1 A 0 A_GiveInventory("BFG_10k", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("BFG_10kPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR BFG_10k : Weapon replaces BFG9000 // 2006
{
	Scale 1.0
	weapon.selectionorder 2100
	Radius 12
	Height 12
	Weapon.Kickback 30
	Weapon.AmmoType "Cell"
//	Weapon.AmmoGive 50
	Weapon.AmmoUse 10
	Weapon.AmmoType2 "PhotonRifleHeat"
	States
	{
		Spawn:
			PCNW A 0
			PCNW A 1 A_SpawnItem("BFG_10kPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			PCNG A 1 A_WeaponReady
			PCNG A 0 A_TakeInventory("PhotonRifleHeat",1) 
			Loop
		Deselect:
			PCNG A 1 A_Lower
			PCNG A 0 A_TakeInventory("PhotonRifleHeat",100) 
			Loop
		Select:
			PCNG A 1 A_Raise
			Loop
		Fire:
			TNT1 A 0 A_JumpIfInventory("PhotonRifleHeat",68,"Overheat")//######heat
			FIR0 A 0 A_GiveInventory("PhotonRifleHeat",33)
			FIR0 A 0 A_PlayWeaponSound("weapons/gyrocrge")
			FIR0 A 16
			FIR0 B 6
			FIR0 C 6
			FIR0 D 5 Bright A_FireCustomMissile("BFG10k_B",0,1,11,-3)
			FIR0 E 6 A_PlayWeaponSound("weapons/gyrofire")
//			FIR0 F 0 //A_JumpIfInventory("PhotonRifleHeat",100,2)//######heat
			FIR0 FGH 6
//			FIR0 IJKLMNOPQ 6
			Goto Ready
//			PCNG A 0 A_PlaySound("weapons/photonoverheat")//######heat
//			PCNG A 0 A_FireCustomMissile("PhotonSmoke",0,0,1,6)//######heat   
//			PCNG A 1 A_TakeInventory("PhotonRifleHeat",1)//######heat
//			PCNG A 0 A_JumpIfInventory("PhotonRifleHeat",1,1)//######heat
//			Goto Ready//######heat
//			PCNG A 0//######heat
//			Goto Fire+13//######heat
		AltFire: 
			PCNG A 0 A_JumpIfInventory("Cell",50,1)
			Goto ready
			TNT1 A 0 A_JumpIfInventory("PhotonRifleHeat",21,"Overheat")//######heat
//			PCNG A 0 A_JumpIfInventory("PhotonRifleHeat",100,22)//######heat
			PCNG A 0 BRIGHT A_TakeInventory("Cell",40)
			PCNG A 0 A_PlayWeaponSound("weapons/gyrocrge")
			FIR0 A 24
			FIR0 BC 6
			FIR0 D 5 Bright A_FireCustomMissile("BFG10k_A",0,1,11,-3)
			FIR0 E 6 A_PlayWeaponSound("weapons/gyrofire")
			FIR0 F 6 A_GiveInventory("PhotonRifleHeat",80)
			FIR0 GH 6
			FIR0 IJKLMNOPQ 6
//			FIR0 A 0 A_JumpIfInventory("PhotonRifleHeat",100,1)//######heat
			Goto Ready
//			PCNG A 0 A_PlaySound("weapons/photonoverheat")//######heat
//			PCNG A 0 A_FireCustomMissile("PhotonSmoke",0,0,1,6)//######heat 
//			PCNG A 1 A_TakeInventory("PhotonRifleHeat",1)//######heat
//			PCNG A 0 A_JumpIfInventory("PhotonRifleHeat",1,1)//######heat
//			Goto Ready//######heat
//			PCNG A 0//######heat
//			Goto AltFire+23//######heat
		Overheat://######heat
			TNT1 A 0 A_PlaySound("weapons/photonoverheat")//######heat
			PCNG A 10 A_FireCustomMissile("PhotonSmoke",0,0,1,-6)//######heat
			goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Cell", 20, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Cell", 20)
			TNT1 A 0 A_SpawnItemEx("Cell_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("BFG_10k", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("PhotonRifleHeat", 100)
			TNT1 A 0 A_SpawnItemEx("BFG_10kPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("BFG_10k", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: DoubleShotgun V. 2                      ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR DoubleShotgun_AMMO : Ammo
{
	Inventory.Amount 0
	Inventory.MaxAmount 4
	Ammo.BackpackAmount 0
	Ammo.BackpackMaxAmount 4
	Inventory.Icon SHELA0
	Scale 1.00
	States
	{
		Spawn:
			SHEL A -1
			Stop
	}
}
//--------------------------------------------------------------------------------
actor DoubleShotgunPickup : CustomInventory
{
	Scale 1.0
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the DoubleShotgun!"
	states
	{
		Spawn:
			SGN6 A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun", 1, 3)
			TNT1 A 0 A_GiveInventory("DoubleShotgun", 1)
			TNT1 A 0 A_GiveInventory("DoubleShotgun_AMMO", 4)
			stop
			TNT1 A 0 A_GiveInventory("Shell", 4)
			TNT1 A 0 A_SpawnItemEx("DoubleShotgunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor DoubleShotgunPickupEmpty : DoubleShotgunPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun", 1, 1)
			TNT1 A 0 A_GiveInventory("DoubleShotgun", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("DoubleShotgunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
//--------------------------------------------------------------------------------
ACTOR DoubleShotgun : Weapon replaces Supershotgun // 82
{
	weapon.selectionorder 5200
	Weapon.AmmoType1 "Shell"
//	Weapon.AmmoGive 8
	Weapon.AmmoUse1 0
	States
	{
		Spawn:
			SPAS Z 1
			SPAS Z 0 A_SpawnItem("DoubleShotgunPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("Reload",1,"Reload_Start")
			TNT1 A 0 A_JumpIfInventory("Unload",1,"Unload_Start")
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			RED0 A 1 A_WeaponReady
			Loop
		Deselect:
			RED0 A 1 A_Lower
			Loop
		Select:
			RED0 A 1 A_Raise
			Loop
		Fire:
			NULL A 0
			NULL A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 1, 2) // Wenn genug (Ammo Magazin), dann zur Aktion gehen
			RED0 A 6 A_PlaySound("weapons/magnum/noammo") // No (Ammo Magazin) Sound (no Ammo)
			goto Ready
			NULL A 0 // Aktion
			NULL A 0 A_TakeInventory("DoubleShotgun_AMMO", 1) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			ATT2 A 0 A_PlaySound("weapons/shotgunwinchester/fire1")
			ATT2 A 0 A_Light2
			ATT2 A 1 Bright A_FireBullets(9,9,16,4,"BulletPuff",0)//A_FireBullets(5,2,9,5,"BulletPuff",1)
			ATT2 BCDEFGHIJKLMNOPQRSTUVWXYZ 1
			ATT3 ABCDEFG 1
			ATT2 A 0 Bright A_Light0
			ATT2 A 0 BRIGHT A_FireCustomMissile("CasingShotgun_x",300+random(-16,16),0,3,6)
			goto Ready
		AltFire://Fire2Spezial:
			NULL A 0
			NULL A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 1, 2) // Wenn genug (Ammo Magazin), dann zur Aktion gehen
			RED0 A 6 A_PlaySound("weapons/magnum/noammo") // No (Ammo Magazin) Sound (no Ammo)
			goto Ready
			NULL A 0 // Aktion
			NULL A 0 A_TakeInventory("DoubleShotgun_AMMO", 1) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			ATT2 A 0 A_PlaySound("weapons/shotgunwinchester/fire2")
			ATT2 A 0 A_Light2
			ATT2 A 1 Bright A_FireBullets(9,9,16,4,"BulletPuff",0)//A_FireBullets(5,2,9,5,"BulletPuff",1)
			ATT0 ABCDEFGHIJKLMNOPQRSTUVWXYZ 1
			ATT1 ABCDEFGHIJKLM 1
			ATT2 A 0 Bright A_Light0
			ATT2 A 0 BRIGHT A_FireCustomMissile("CasingShotgun_x",300+random(-16,16),0,3,6)
			goto Ready
/* **********          Reload          ********** */
		Reload_Start:
			TNT1 A 0 A_TakeInventory("Reload", 1)
			TNT1 A 0 A_JumpIfInventory("Shell", 1, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 4, "Ready") // magazine full
			REL0 ABDEGHJKMN 1//REL0 ABCDEFGHIJKLMNO 1
		Reload_Transfer:// Ammo Transfer [load weapon] (:zu diesem Zeitpunkt ist sichergestellt, dass mindestens 1 Ammo im Inventar vorhanden ist, und dass das Magazin nicht voll ist)
			REL0 QRTUWXZ 1//REL0 PQRSTUVWXYZ 1
			REL1 ABDE 1//REL1 ABCDE 1
			TNT1 A 0 A_TakeInventory("Shell", 1)
			TNT1 A 0 A_GiveInventory("DoubleShotgun_AMMO", 1)
			REL1 F 1 A_PlaySound("weapons/shtgn2rl")
			REL1 GHJKMNPQ 1//REL1 GHIJKLMNOPQ 1
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 4, "Reload_End") //if magazine is full then ready
			TNT1 A 0 A_JumpIfInventory("Shell", 1, "Reload_Transfer") //loop to load the rest | Wenn noch was im Inventar da ist, weiterladen
			goto Reload_End
		Reload_End:
			TNT1 A 0
			REL1 RSTUVWXYZ 1
			REL2 ABCDEFGHIJ 1//*K 1
//			SPAS B 4 A_PlaySound("weapons/reload")
			ATT0 HIJKLMNOPQRSTUVWXYZ 1
			ATT2 A 0 A_PlaySound("weapons/shotgunwinchester/reload")
			ATT1 ABCDEFGHIJKLM 1
			goto Ready
/* **********          Unload          ********** */
		Unload_Start:
			TNT1 A 0 A_TakeInventory("Unload", 1)
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 1, 1) // is ammo in magazine?
			goto Ready
			REL0 ABDEGHJKMN 1//REL0 ABCDEFGHIJKLMNO 1
		Unload_Transfer: // Ammo Transfer [Entladen]
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 1, 1) // is ammo in magazine? Wenn im Magazin noch mindestens ein Ammo drin ist, dann zum (Ammo Transfer (Entladen)) springen
			goto Unload_End // magazine is empty -> End Unload Sequence
			REL1 QPNMKJHG 1//REL1 QPONMLKJIHG 1
			REL1 F 1 A_PlaySound("weapons/shtgn2rl")
			TNT1 A 0 A_TakeInventory("DoubleShotgun_AMMO", 1)
			TNT1 A 0 A_GiveInventory("Shell", 1)
			REL1 EDBA 1//REL1 EDCBA 1
			REL0 ZXWUTRQ 1//REL0 ZYXWVUTSRQP 1
			goto Unload_Transfer //loop to unload all
		Unload_End:
			TNT1 A 0
			REL1 RSTUVWXYZ 1
			REL2 ABCDEFGHIJ 1//*K 1
			goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Shell", 4, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Shell", 4)
			TNT1 A 0 A_SpawnItemEx("Shell_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun", 1, 1) // is weapon in inventory?
			goto Ready
			//Unload magazine start
			TNT1 A 0 A_JumpIfInventory("DoubleShotgun_AMMO", 1, 1) // is ammo in magazine?
			goto DropWeapon_Start+5 // magazine is empty -> Drop Weapon
			TNT1 A 0 A_TakeInventory("DoubleShotgun_AMMO", 1)
			TNT1 A 0 A_GiveInventory("Shell", 1)
			goto DropWeapon_Start+2 //loop to unload all
			//Unload magazine end
			TNT1 A 0 A_SpawnItemEx("DoubleShotgunPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("DoubleShotgun", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: ChainSaw                                ***
//  ***  By: ???                                         ***
//  ***  Modified By: Cobalt                             ***
//  ********************************************************
actor ChainsawPickup : CustomInventory
{
	Scale 0.4//1.0
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a Chainsaw !"
	states
	{
		Spawn:
			CSAW A -1
			Stop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Chainsaw_", 1, 1)
			TNT1 A 0 A_GiveInventory("Chainsaw_", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("ChainsawPickup", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR ChainsawOn : Inventory
{
	Inventory.Amount 0
	Inventory.MaxAmount 1
}
actor Chainsaw_ : Chainsaw replaces Chainsaw//2005
{
	spawnid 32
	Weapon.SelectionOrder 100
	Weapon.AmmoUse 0
	Weapon.Upsound 0
	Weapon.Readysound 0
	+MELEEWEAPON
	+NOALERT
	States
	{
		Spawn:
			CSAW A 1
			CSAW A 0 A_SpawnItem("ChainsawPickup")
			stop
		Deselect:
			SAWG C 1 A_Lower
			Loop
		Select: 
			SAWG C 1 A_Raise
			Loop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			TNT1 A 0 A_JumpIfInventory("ChainsawOn", 1, "ChainSawIsOn")
			SAWG C 1 A_WeaponReady
			Loop
		ChainSawIsOn:
			TNT1 A 0 A_PlayWeaponSound ("weapons/sawidle")
			TNT1 A 0 A_FireCustomMissile("AlertMonsters",0,0,0,0)
			SAWG D 4 A_WeaponReady
			SAWG C 3 A_WeaponReady
			Goto Ready
		Fire:
			SAWG A 0 A_JumpIfInventory("ChainsawOn", 1, "Hold")
			goto SpinUp
			SAWG A 0 //A_CustomPunch(16, 0, 0, "BulletPuff")
		Hold:
			TNT1 A 0 A_FireCustomMissile("AlertMonsters",0,0,0,0)
			SAWG A 4 A_Saw("weapons/sawfull", "weapons/sawhit", 10, "ChainsawPuff_")
			SAWG B 4 A_Saw("weapons/sawfull", "weapons/sawhit", 10, "ChainsawPuff_")
			TNT1 A 0 A_Refire
			goto Ready
		AltFire:
			TNT1 A 0 A_JumpIfInventory("ChainsawOn", 1, "SpinDown")
			goto SpinUp
		SpinUp:
			TNT1 A 0 A_GiveInventory("ChainsawOn", 1)
			TNT1 A 0 //A_PlayWeaponSound("weapons/sawidle")
//			SAWG FGHGF 3
			SPI0 ABCDEFGHIJ 1
			SPI0 K 1 A_PlayWeaponSound("weapons/sawidle")
			SPI0 LMNOPQRSTUVWX 1
			SPI0 Y 2
			SPI0 Z 1
			SPI1 ABCDEFGH 1
			goto Ready
		SpinDown:
			TNT1 A 0
			SAWG C 10 A_TakeInventory("ChainsawOn", 1)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("Chainsaw_", 1, 1) // is weapon in inventory?
			goto Ready+8
			TNT1 A 0 A_TakeInventory("ChainsawOn", 1)
			TNT1 A 0 A_SpawnItemEx("ChainsawPickup", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("Chainsaw_", 1)
			goto Deselect+1
	}
}

//  ********************************************************
//  ***  Weapon: Rocketlauncher                          ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor RocketlauncherPickup : CustomInventory
{
	Scale 1.0
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the Rocketlauncher!"
	states
	{
		Spawn:
			UBER ABCDEFGHI 3
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Rocketlauncher_", 1, 3)
			TNT1 A 0 A_GiveInventory("Rocketlauncher_", 1)
			TNT1 A 0 A_GiveInventory("RocketAmmo", 1)
			stop
			TNT1 A 0 A_GiveInventory("RocketAmmo", 1)
			TNT1 A 0 A_SpawnItemEx("RocketlauncherPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor RocketlauncherPickupEmpty : RocketlauncherPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Rocketlauncher_", 1, 1)
			TNT1 A 0 A_GiveInventory("Rocketlauncher_", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("RocketlauncherPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR Rocketlauncher_ : Weapon replaces Rocketlauncher // 2003
{
	weapon.selectionOrder 2300
	Weapon.AmmoType1 "RocketAmmo"
//	Weapon.AmmoGive1 1
	Weapon.AmmoUse1 1
	Weapon.AmmoType2 "RocketAmmo"
//	Weapon.AmmoGive2 5
	Weapon.AmmoUse2 1
	States
	{
		Spawn:
			UBER A 0
			UBER A 1 A_SpawnItem("RocketlauncherPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			IDL0 A 1 A_WeaponReady
//			IDL0 ABCDEFGHIJKLMNOPQRSTUVWXYZ 3 A_WeaponReady
//			IDL1 ABCD 3 A_WeaponReady
			Loop
		Deselect:
//			BARR A 0// A_PlayWeaponSound("weapons/barnicledown")
			IDL0 A 1 A_Lower
			TNT1 A 0
			Loop
		Select:
//			TNT1 A 0 A_PlayWeaponSound("weapons/barnicleup")
			IDL0 A 1 A_Raise
			TNT1 A 0
			Loop
		Fire:
			FIR0 A 0 A_CheckReload
			FIR0 A 3
			FIR0 B 3 A_FireCustomMissile("Rocket_alpha",0,1,9,0)
			FIR0 CDEFGHIJKL 3
			FIR0 M 26
			Goto Ready
		AltFire:
			FIR0 A 0 A_CheckReload
			FIR0 A 3 //A_TakeInventory("RocketAmmo", 1)
			FIR0 B 3 A_FireCustomMissile("Rocket_alpha_seeker",0,1,9,0)
			FIR0 CDEFGHIJKL 3
			FIR0 M 26
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("RocketAmmo", 1, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("RocketAmmo", 1)
			TNT1 A 0 A_SpawnItemEx("RocketAmmo_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("Rocketlauncher_", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("RocketlauncherPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("Rocketlauncher_", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: Molotov Cocktail                        ***
//  ***  By: Scientist                                   ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
ACTOR Molotovx : Weapon // 25013
{ 
	weapon.selectionorder 2600
	Scale 0.25
	Weapon.AmmoType  "Fuel" 
	Weapon.AmmoGive 0
	Weapon.AmmoUse 10
	Inventory.PickupSound "misc/w_pkup" 
	Inventory.PickupMessage "You got a Molotov Cocktail!"
	Obituary "%o can't handle his cocktail."
	States 
	{ 
		Spawn: 
			MOGT A 2
			MOGT B 2
			MOGT C 2
			MOGT D 2
			MOGT E 2
			Loop 
		Ready: 
			MOGL A 0 A_CheckReload
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			MOGL A 1 A_WeaponReady
			Loop 
		Deselect: 
			MOGL A 1 A_Lower
			Loop 
		Select: 
			MOGL A 0 A_CheckReload
			MOGL A 1 A_Raise
			Loop 
		Fire: 
			FIR0 ABCDEFGHIJKLMNOPQRSTUVWXYZ 1
			FIR1 ABCDEFGHIJKLMNOPQRSTUVWXYZ 1
			FIR2 A 1 A_FireCustomMissile("Bottlex", 0, 1, 20, 5)//30 horizontal
			FIR2 BCDEFGHIJKLMNOPQ 1
			FIR2 R 1 A_ReFire 
			Goto Ready 
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Fuel", 75, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Fuel", 75)
			TNT1 A 0 A_SpawnItemEx("Fuel", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
	}
} 
//  ********************************************************
//  ***  Ammo: Magnum Ammo                               ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR MagnumBullets : Ammo
{
	Inventory.Amount 0
	Inventory.MaxAmount 12
	Ammo.BackpackAmount 0
	Ammo.BackpackMaxAmount 12
	States
	{
		Spawn:
			REVI I -1
			Stop
	}
}

//  ********************************************************
//  ***  Weapon: Magnum (Desert Eagle)                   ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor MagnumGunPickup : CustomInventory
{
	Scale 0.26
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the Magnum!"
	states
	{
		Spawn:
			EAG1 Z -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Magnum", 1, 3)
			TNT1 A 0 A_GiveInventory("Magnum", 1)
			TNT1 A 0 A_GiveInventory("MagnumBullets", 12)
			stop
			TNT1 A 0 A_GiveInventory("Clip", 12)
			TNT1 A 0 A_SpawnItemEx("MagnumGunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MagnumGunPickupEmpty : MagnumGunPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Magnum", 1, 1)
			TNT1 A 0 A_GiveInventory("Magnum", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MagnumGunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR Magnum : Weapon // 25030
{
	Scale 0.26
	weapon.selectionorder 999
	Weapon.AmmoType "MagnumBullets" 
	Weapon.AmmoType2 "Clip" 
	AttackSound "weapons/magnum"
	States
	{
		Spawn:
			EAG1 Z 1
			EAG1 Z 0 A_SpawnItem("MagnumGunPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("Reload",1,"Reload_Start")
			TNT1 A 0 A_JumpIfInventory("Unload",1,"Unload_Start")
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 1, 1)
			goto MagnumEmpty
			FIR0 A 1 A_WeaponReady
			Loop
		MagnumEmpty:
			FIR2 Z 1 A_WeaponReady
			goto Ready
		Deselect:
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 1, 1)
			goto DeselectEmpty
			FIR0 A 1 A_Lower
			Loop
		DeselectEmpty:
			DES2 A 1 A_Lower
			Loop
		Select:
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 1, 1)
			goto SelectEmpty
			FIR0 A 1 A_Raise
			Loop
		SelectEmpty:
			SEL2 A 1 A_Raise
			Loop
		Fire:
			TNT1 A 0
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 1, 2) // Wenn genug (Ammo Magazin), dann zur Aktion gehen
			FIR2 Y 6 A_PlaySound("weapons/magnum/noammo") // No (Ammo Magazin) Sound (no Ammo)
			goto Ready
			TNT1 A 0
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 2, 1) // Letzen Schuss ermitteln um andere Animation abzuspielen
			goto LastShot//LastShotAnimation***
			TNT1 A 0 // Aktion
			TNT1 A 0 A_TakeInventory("MagnumBullets", 1) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			TNT1 A 0 A_FireCustomMissile("CasingBullet_x",300+random(-16,16),0,3,6)
			TNT1 A 0 A_GunFlash
			FIR0 B 1 bright A_FireBullets (1, 1, 1, 12, "BulletPuff", 1)//A_FireBullets(4, 4, 1, 8, 0, 1, 10240)
			FIR0 CDEFGHIJKLMN 1 bright
			TNT1 A 0 A_ReFire
			goto Ready
		LastShot:
			TNT1 A 0 // Aktion
			TNT1 A 0 A_TakeInventory("MagnumBullets", 1) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			TNT1 A 0 A_FireCustomMissile("CasingBullet_x",300+random(-16,16),0,3,6)
			TNT1 A 0 A_GunFlash
			FIR2 B 1 bright A_FireBullets (1, 1, 1, 12, "BulletPuff", 1)//A_FireBullets(4, 4, 1, 8, 0, 1, 10240)
			FIR2 CDEFGHIJKLMN 1 bright
			TNT1 A 0 A_ReFire
			goto Ready
		AltFire:
			TNT1 A 0
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 1, 2) // Wenn genug (Ammo Magazin), dann zur Aktion gehen
			FIR2 X 6 A_PlaySound("weapons/magnum/noammo") // No (Ammo Magazin) Sound (no Ammo)
			goto Ready
			TNT1 A 0
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 2, 1) // Letzen Schuss ermitteln um andere Animation abzuspielen
			goto LastShotAlt//LastShotAnimation***
			TNT1 A 0 // Aktion
			TNT1 A 0 A_TakeInventory("MagnumBullets", 1) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			TNT1 A 0 A_FireCustomMissile("CasingBullet_x",300+random(-16,16),0,3,6)
			TNT1 A 0 A_GunFlash
			FIR5 B 1 bright A_FireBullets (3, 3, 1, 12, "BulletPuff", 1)
			FIR5 CDEFGHI 1 bright
			TNT1 A 0 A_ReFire
			goto Ready
		LastShotAlt:
			TNT1 A 0 // Aktion
			TNT1 A 0 A_TakeInventory("MagnumBullets", 1) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			TNT1 A 0 A_FireCustomMissile("CasingBullet_x",300+random(-16,16),0,3,6)
			TNT1 A 0 A_GunFlash
			FIR6 B 1 bright A_FireBullets (1, 1, 1, 12, "BulletPuff", 1)//A_FireBullets(4, 4, 1, 8, 0, 1, 10240)
			FIR6 CDEFGHIJKLMN 1 bright
			TNT1 A 0 A_ReFire
			goto Ready
/* **********          Reload          ********** */
		Reload_Start:
			TNT1 A 0
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 1, 1) // Letzen Schuss ermitteln um andere Animation abzuspielen
			goto Empty_Reload_Start//EmptyReloadAnimation***
			TNT1 A 0 A_TakeInventory("Reload", 1)
			TNT1 A 0 A_JumpIfInventory("Clip", 1, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 12, "Ready") // magazine full
			REL0 A 1
			REL0 B 1 A_PlaySound("weapons/AK47/reload1")
			REL0 CDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL1 ABCDEFGHIJKLMNOPQRST 1
			REL1 U 1 A_PlaySound("weapons/AK47/reload2")
			REL1 VWXYZ 1
			REL2 ABCDE 1
			REL2 F 1 //A_PlaySound("weapons/AK47/reload3")
			REL2 GHI 1
		Reload_Transfer:// Ammo Transfer [load weapon] (:zu diesem Zeitpunkt ist sichergestellt, dass mindestens 1 Ammo im Inventar vorhanden ist, und dass das Magazin nicht voll ist)
			TNT1 A 0 A_TakeInventory("Clip", 1)
			TNT1 A 0 A_GiveInventory("MagnumBullets", 1)
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 12, "Ready") //if magazine is full then ready
			TNT1 A 0 A_JumpIfInventory("Clip", 1, "Reload_Transfer") //loop to load the rest | Wenn noch was im Inventar da ist, weiterladen
//			goto Reload_End // Da keine Munition im Inventar mehr da ist, (Jump to Anim2 [ready])
		Reload_End: // end animation of reloading
			TNT1 A 0 // (JumpPoint ready Laden [Anim2])
			goto Ready
		Empty_Reload_Start:
			TNT1 A 0 A_TakeInventory("Reload", 1)
			TNT1 A 0 A_JumpIfInventory("Clip", 1, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 12, "Ready") // magazine full
			REL5 A 1
			REL5 B 1 A_PlaySound("weapons/AK47/reload1")
			REL5 CDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL6 ABCDEFGHIJKLMNOPQRST 1
			REL6 U 1 A_PlaySound("weapons/AK47/reload2")
			REL6 VWXYZ 1
			REL7 ABCDEFGH 1
			REL7 I 4
			REL7 J 4 A_PlaySound("weapons/AK47/reload2")//A_PlaySound("weapons/AK47/reload3")
			REL7 KLMNOPQRSTUV 1
		goto Reload_Transfer
/* **********          Unload          ********** */
		Unload_Start:
			TNT1 A 0 A_TakeInventory("Unload", 1)
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 2, 1) // is ammo in magazine?
			goto Ready
			UNL0 ABCDEFGHI 1//STU
			TNT1 A 0 A_PlaySound("weapons/AK47/reload1")
			UNL0 JKLMNOPQR 1
			TNT1 A 0
			UNL1 CDEFGHIJKLMNOPQRSTU 1//AB
//			EAG2 E 3 //A_PlaySound("weapons/AK47/reload2")
		Unload_Transfer: // Ammo Transfer [Entladen]
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 2, 1) // is ammo in magazine? Wenn im Magazin noch mindestens ein Ammo drin ist, dann zum (Ammo Transfer (Entladen)) springen
			goto Unload_End // magazine is empty -> End Unload Sequence
			TNT1 A 0 A_TakeInventory("MagnumBullets", 1)
			TNT1 A 0 A_GiveInventory("Clip", 1)
			goto Unload_Transfer //loop to unload all
		Unload_End:
			TNT1 A 0
			goto Ready
/* **********          Reload          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Clip", 12, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Clip", 12)
			TNT1 A 0 A_SpawnItemEx("Clip_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("Magnum", 1, 1) // is weapon in inventory?
			goto Ready
			//Unload magazine start
			TNT1 A 0 A_JumpIfInventory("MagnumBullets", 1, 1) // is ammo in magazine?
			goto DropWeapon_Start+5 // magazine is empty -> Drop Weapon
			TNT1 A 0 A_TakeInventory("MagnumBullets", 1)
			TNT1 A 0 A_GiveInventory("Clip", 1)
			goto DropWeapon_Start+2 //loop to unload all
			//Unload magazine end
			TNT1 A 0 A_SpawnItemEx("MagnumGunPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("Magnum", 1)
			goto Deselect+1
		Flash:
			EAG1 XY 1 bright
			Stop
	}
}
/* 
ACTOR Magnum : Weapon 25030
ACTOR Magnum : Weapon 25030
{
	+NOEXTREMEDEATH
	Scale 0.7
	weapon.selectionorder 999
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the Magnum!"
	Weapon.AmmoType "MagnumBullets" 
	Weapon.AmmoGive 0
	Weapon.AmmoType2 "Clip" 
	Weapon.AmmoGive2 6
	AttackSound "weapons/magnum"
	States
	{
		Spawn:
			MAGP A -1
			Loop
		Ready:
			MAGN A 1 A_WeaponReady
			Loop
		Deselect:
			MAGN A 1 A_Lower
			Loop
		Select:
			MAGN A 1 A_Raise
			Loop
		Fire:
			NULL A 0
			NULL A 0 A_JumpIfInventory("MagnumBullets", 1, 2) // Wenn genug (Ammo Magazin), dann zur Aktion gehen
			MAGN A 6 A_PlaySound("weapons/magnum/noammo") // No (Ammo Magazin) Sound (no Ammo)
			goto Ready
			NULL A 0 // Aktion
			NULL A 0 A_TakeInventory("MagnumBullets", 1) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			MAGN A 0
			MAGF A 3 A_FireBullets (1, 1, 1, 20, "BulletPuff", 1)
			MAGN B 2
			MAGN C 2
			MAGN D 2
			MAGN E 3
			MAGN D 2
			MAGN C 2
			MAGN B 2
			MAGN A 8
			MAGN A 0 A_ReFire
			goto Ready
		AltFire:
			NULL A 0
			NULL A 0 A_JumpIfInventory("Clip", 1, 2) // Wenn keine (Ammo Inventar) mehr da ist, ... 
			NULL A 0 A_Jump(255, 73) // ... dann zum Entladen springen
			NULL A 0 A_JumpIfInventory("MagnumBullets", 6, 72) // Da Magazin voll, zum Entladen gehen
//  	... Laden ...
			NULL A 0
//  	... anim 1 ...
			MAGM ABCD 1
			MAGN AAAAAAAAAAAAAAA 0
			MAGN A 0
//  	... anim 1 end ...
			NULL A 0 // Ammo Transfer [Laden] (:zu diesem Zeitpunkt ist sichergestellt, dass mindestens 1 Ammo im Inventar vorhanden ist, und dass das Magazin nicht voll ist)
//  	... anim x ...
			NULL A 0 A_FireCustomMissile("CasingBullet_x",300+random(-16,16),0,3,0)
			NULL AAAAAAAAAAAAAAAAAA 0
			NULL A 4 A_PlaySound("weapons/magnum/load")
//  	... anim x end ...
			NULL A 0 A_TakeInventory("Clip", 1) // Eins von (Ammo Inventar) nehmen und ins ... 
			NULL A 0 A_GiveInventory("MagnumBullets", 1) // ... Magazin packen
			NULL A 0
			NULL A 0 A_JumpIfInventory("MagnumBullets", 6, 5) // Wenn Magazin voll, dann (Jump to Anim2 [ready])
			NULL A 0 A_JumpIfInventory("Clip", 1, 3) // Wenn noch was im Inventar da ist, weiterladen
			NULL A 0
			NULL A 0 A_Jump(255, 2) // Da keine Munition im Inventar mehr da ist, (Jump to Anim2 [ready])
			NULL A 0
			goto AltFire+26 // (Zum Ammo Transfer [Laden])
			NULL A 0 // (JumpPoint ready Laden [Anim2])
//  	... anim 2 ...
			MAGN A 0 A_PlaySound("weapons/magnum/roll")
			MAGM DCBA 1
			MAGN AAAAAAAAAAAAAAA 0
//  	... anim 2 end ...
			goto Ready
			NULL A 0 // Entladen (Jump: x1)
//  	... Entladen ...
			NULL A 0
//  	... anim 1 ...
			MAGM ABCD 1
			MAGN AAAAAAAAAAAAAAA 0
			MAGN A 0
//  	... anim 1 end ...
			NULL A 0 // Ammo Transfer [Entladen]
			NULL A 0 A_JumpIfInventory("MagnumBullets", 1, 3) // Wenn im Magazin noch mindestens ein Ammo drin ist, dann zum (Ammo Transfer (Entladen)) springen
			NULL A 0
			NULL A 0 A_Jump(255, 25) // Da keine Munition im Magazin mehr da ist (Jump to Anim2 [ready])
			NULL A 0 // Ammo Transfer (Entladen)
//  	... anim x ...
			NULL A 0
			NULL AAAAAAAAAAAAAAAAAA 0
			NULL A 2 A_PlaySound("weapons/magnum/deload")
//  	... anim x end ...
			NULL A 0 A_TakeInventory("MagnumBullets", 1) // Eins von Magazin nehmen und ins ... 
			NULL A 0 A_GiveInventory("Clip", 1) // ... Inventar packen
			NULL A 0
			goto AltFire+98   // (Ammo Transfer [Entladen])
			NULL A 0 // (JumpPoint ready Entladen [Anim2])
//  	... anim 2 ...
			MAGM DCBA 1
			MAGN AAAAAAAAAAAAAAA 0
			MAGN A 10
//  	... anim 2 end ...
			goto Ready
	}
}
*/ 
//  ********************************************************
//  ***  Ammo: MP5 Ammo                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR MachineGunBullets : Ammo
{
	Inventory.Amount 0
	Inventory.MaxAmount 30
	Ammo.BackpackAmount 0
	Ammo.BackpackMaxAmount 30
//	Inventory.Icon REVII0
	States
	{
		Spawn:
			REVI I -1
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: MP5                                     ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor MachineGunPickup : CustomInventory
{
	Scale 0.3
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the MP5!"
	states
	{
		Spawn:
			MP5_ Z -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MachineGun", 1, 3)
			TNT1 A 0 A_GiveInventory("MachineGun", 1)
			TNT1 A 0 A_GiveInventory("MachineGunBullets", 30)
			stop
			TNT1 A 0 A_GiveInventory("Clip", 30)
			TNT1 A 0 A_SpawnItemEx("MachineGunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MachineGunPickupEmpty : MachineGunPickup
{
	states
	{
		Spawn:
			MP5_ Y -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MachineGun", 1, 1)
			TNT1 A 0 A_GiveInventory("MachineGun", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MachineGunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR MachineGun : Weapon replaces Chaingun // 2002
{
	Scale 0.3
	weapon.selectionorder 1600
	Weapon.AmmoType "MachineGunBullets" 
	Weapon.AmmoType2 "Clip" 
	AttackSound "weapons/AK47/shot"
	States
	{
		Spawn:
			MP5_ Z 1
			MP5_ Z 0 A_SpawnItem("MachineGunPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("Reload",1,"Reload_Start")
			TNT1 A 0 A_JumpIfInventory("Unload",1,"Unload_Start")
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			REA0 A 1 A_WeaponReady
			Loop
		Deselect:
			DES0 A 1 A_Lower
			MP5_ A 0
			Loop
		Select:
			SEL0 A 1 A_Raise
			Loop
		Fire:
			TNT1 A 0
			TNT1 A 0 A_JumpIfInventory("MachineGunBullets", 1, 2) // Wenn genug (Ammo Magazin), dann zur Aktion gehen
			MP5_ A 6 A_PlaySound("weapons/magnum/noammo") // No (Ammo Magazin) Sound (no Ammo)
			goto Ready
			TNT1 A 0 // Aktion
			TNT1 A 0 A_TakeInventory("MachineGunBullets", 1) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			MP5_ A 0 A_FireCustomMissile("CasingBullet_x",300+random(-16,16),0,3,6)
			MP5_ A 2 A_FireBullets (1, 1, 1, 8, "BulletPuff", 1)
			MP5_ B 2
			MP5_ A 0 A_ReFire
			goto Ready
/* **********          Reload          ********** */
		Reload_Start:
			TNT1 A 0 A_TakeInventory("Reload", 1)
			TNT1 A 0 A_JumpIfInventory("Clip", 1, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_JumpIfInventory("MachineGunBullets", 30, "Ready") // magazine full
			REL0 ABCDEFGHIJKLMNOPQRST 1
			REL0 U 1 A_PlaySound("weapons/AK47/reload1")
			REL0 VWXYZ 1
			REL1 ABCDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL2 A 1 A_PlaySound("weapons/AK47/reload2")//MP5R E 3 A_PlaySound("weapons/AK47/reload2")//****3D
			REL2 BCDEFGHIJKLMNOPQRSTUVWX 1
			REL2 Y 1 A_PlaySound("weapons/AK47/reload3")
			REL2 Z 1
			REL3 ABCDEFGHIJKLMNOPQR 1
			REL3 STU 2
		Reload_Transfer:// Ammo Transfer [load weapon] (:zu diesem Zeitpunkt ist sichergestellt, dass mindestens 1 Ammo im Inventar vorhanden ist, und dass das Magazin nicht voll ist)
			TNT1 A 0 A_TakeInventory("Clip", 1)
			TNT1 A 0 A_GiveInventory("MachineGunBullets", 1)
			TNT1 A 0 A_JumpIfInventory("MachineGunBullets", 30, "Ready") //if magazine is full then ready
			TNT1 A 0 A_JumpIfInventory("Clip", 1, "Reload_Transfer") //loop to load the rest | Wenn noch was im Inventar da ist, weiterladen
//			goto Reload_End // Da keine Munition im Inventar mehr da ist, (Jump to Anim2 [ready])
		Reload_End: // end animation of reloading
			TNT1 A 0 // (JumpPoint ready Laden [Anim2])
			goto Ready
/* **********          Unload          ********** */
		Unload_Start:
			TNT1 A 0 A_TakeInventory("Unload", 1)
			TNT1 A 0 A_JumpIfInventory("MachineGunBullets", 1, 1) // is ammo in magazine?
			goto Ready
			UNL0 ABCDEFGHIJKLMNOPQRST 1
			UNL0 U 1 A_PlaySound("weapons/AK47/reload1")
			UNL0 VWXYZ 1
			UNL1 ABCD 1
			TNT1 A 0
			UNL6 ABCD 2
			UNL5 ABCDE 2
			UNL5 F 1 A_PlaySound("weapons/AK47/reload2")
			UNL5 GHIJKLMNOPQRSTUVWXYZ 1
		Unload_Transfer: // Ammo Transfer [Entladen]
			TNT1 A 0 A_JumpIfInventory("MachineGunBullets", 1, 1) // is ammo in magazine? Wenn im Magazin noch mindestens ein Ammo drin ist, dann zum (Ammo Transfer (Entladen)) springen
			goto Unload_End // magazine is empty -> End Unload Sequence
			TNT1 A 0 A_TakeInventory("MachineGunBullets", 1)
			TNT1 A 0 A_GiveInventory("Clip", 1)
			goto Unload_Transfer //loop to unload all
		Unload_End:
			TNT1 A 0
			goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Clip", 12, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Clip", 12)
			TNT1 A 0 A_SpawnItemEx("Clip_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("MachineGun", 1, 1) // is weapon in inventory?
			goto Ready
			//Unload magazine start
			TNT1 A 0 A_JumpIfInventory("MachineGunBullets", 1, 1) // is ammo in magazine?
			goto DropWeapon_Start+5 // magazine is empty -> Drop Weapon
			TNT1 A 0 A_TakeInventory("MachineGunBullets", 1)
			TNT1 A 0 A_GiveInventory("Clip", 1)
			goto DropWeapon_Start+2 //loop to unload all
			//Unload magazine end
			TNT1 A 0 A_SpawnItemEx("MachineGunPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MachineGun", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Ammo: Uzi Ammo                                  ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
/* 
ACTOR UziBullets : Ammo
{
	Inventory.Amount 0
	Inventory.MaxAmount 32
	Ammo.BackpackAmount 0
	Ammo.BackpackMaxAmount 32
//	Inventory.Icon REVII0
	States
	{
		Spawn:
			REVI I -1
			Stop
	}
}
*/ 
//  ********************************************************
//  ***  Weapon: Uzi                                     ***
//  ***  BY: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR SubMachineGun : MachineGun // 25046
{
}
//  ********************************************************
//  ***  Ammo: MiniGun Ammo                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR MiniGunHeavyBullets : Ammo
{
	Inventory.Amount 0
	Inventory.MaxAmount 252
	Ammo.BackpackAmount 0
	Ammo.BackpackMaxAmount 252
//	Inventory.Icon REVII0
	States
	{
		Spawn:
			REVI I -1
			Stop
	}
}
ACTOR MiniGunHeavyRotate : Inventory
{
	Inventory.MaxAmount 1
}
//  ********************************************************
//  ***  Weapon: MiniGun                                 ***
//  ***  By: TheDarkArchon                               ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
actor MiniGunHeavyPickup : CustomInventory
{
	Scale 0.25
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the Minigun!"
	states
	{
		Spawn:
			MINI Z -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavy", 1, 3)
			TNT1 A 0 A_GiveInventory("MiniGunHeavy", 1)
			TNT1 A 0 A_GiveInventory("MiniGunHeavyBullets", 252)
			stop
			TNT1 A 0 A_GiveInventory("Clip", 252)
			TNT1 A 0 A_SpawnItemEx("MiniGunHeavyPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor MiniGunHeavyPickupEmpty : MiniGunHeavyPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavy", 1, 1)
			TNT1 A 0 A_GiveInventory("MiniGunHeavy", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("MiniGunHeavyPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR MiniGunHeavy : Weapon // 25075
{
	Scale 0.25
	weapon.selectionorder 1600
	Weapon.AmmoType "MiniGunHeavyBullets" 
	Weapon.AmmoType2 "Clip" 
	AttackSound "weapons/minigun"
	Weapon.Kickback 1
	States
	{
		Spawn:
			MINI Z 1
			MINI Z 0 A_SpawnItem("MiniGunHeavyPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, "Rotate")
			TNT1 A 0 A_JumpIfInventory("Reload",1,"Reload_Start")
			TNT1 A 0 A_JumpIfInventory("Unload",1,"Unload_Start")
			MINI A 1 A_WeaponReady
			Loop
		Rotate:
			TNT1 A 0 A_PlaySound("weapons/minigunhold")
			TNT1 A 0 A_FireCustomMissile("AlertMonsters",0,0,0,0)
			SPI0 ABCDEFGHIJKLMNOPQRST 1 A_WeaponReady
			goto Ready
		Deselect:
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, 1)
			goto Deselect + 15
			TNT1 A 0 A_TakeInventory("MiniGunHeavyRotate", 1)
			TNT1 A 0 A_PlaySound("weapons/minigundown")
			SPI0 JKL 1
			SPI0 MNO 2
			SPI0 PQR 3
			SPI0 SAB 4
			MINI A 1 A_Lower
			Loop
		Select:
			MINI A 1 A_Raise
			Loop
		Fire:
//Ammocheck
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, "Hold")
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 6, 2)
			MINI A 0 //A_PlaySound("weapons/magnum/noammo")
			goto Ready
//SpinUp
			TNT1 A 0 A_PlaySound("weapons/minigunup")
			SPI0 ABC 4
			SPI0 DEF 3
			SPI0 GHI 2
			SPI0 JKL 1
//Fire
			TNT1 A 0 A_PlaySound("weapons/minigunhold")
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 AB 1 A_GunFlash
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 CD 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 EF 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 GH 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 IJ 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 KL 1
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 6, 1)
			goto SpinDown
			SPI0 L 0 A_ReFire
//Spindown
			goto SpinDown
		Hold:
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 6, 2)
			MINI A 0 //A_PlaySound("weapons/magnum/noammo")
			goto Ready
//Fire
			TNT1 A 0 A_PlaySound("weapons/minigunhold")
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 AB 1 A_GunFlash
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 CD 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 EF 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 GH 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 IJ 1
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 bright A_FireCustomMissile("CasingBullet_x", 300+random(-16, 16), 0, 3, 6)
			TNT1 A 0 bright A_FireBullets(4, 4, 1, 8, "BulletPuff", 1, 10240)
			SPI0 KL 1
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 6, 1)
			goto SpinDown
			SPI0 L 0 A_ReFire
//
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, "Ready")
			goto SpinDown
		AltFire:
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, "SpinDown")
			goto SpinUp
		SpinUp:
			TNT1 A 0 A_GiveInventory("MiniGunHeavyRotate", 1)
			TNT1 A 0 A_PlaySound("weapons/minigunup")
			SPI0 ABC 4
			SPI0 DEF 3
			SPI0 GHI 2
			SPI0 JKL 1
			goto Ready
		SpinDown:
			TNT1 A 0 A_TakeInventory("MiniGunHeavyRotate", 1)
			TNT1 A 0 A_PlaySound("weapons/minigundown")
			SPI0 JKL 1
			SPI0 MNO 2
			SPI0 PQR 3
			SPI0 SAB 4
			goto Ready
/* **********          Reload          ********** */
		Reload_Start:
			TNT1 A 0 A_TakeInventory("Reload", 1)
			TNT1 A 0 A_JumpIfInventory("Clip", 1, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 252, "Ready") // magazine full
			REL0 ABCDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL1 A 1 A_PlaySound("weapons/AK47/reload1")
			REL1 BCDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL2 A 1 A_PlaySound("weapons/AK47/reload2")
			REL2 BCDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL3 ABCDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL4 ABCDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL5 ABCDEFGHIJKLM 1
		Reload_Transfer:// Ammo Transfer [load weapon] (:zu diesem Zeitpunkt ist sichergestellt, dass mindestens 1 Ammo im Inventar vorhanden ist, und dass das Magazin nicht voll ist)
			TNT1 A 0 A_TakeInventory("Clip", 1)
			TNT1 A 0 A_GiveInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 252, "Ready") //if magazine is full then ready
			TNT1 A 0 A_JumpIfInventory("Clip", 1, "Reload_Transfer") //loop to load the rest | Wenn noch was im Inventar da ist, weiterladen
//			goto Reload_End // Da keine Munition im Inventar mehr da ist, (Jump to Anim2 [ready])
		Reload_End: // end animation of reloading
			TNT1 A 0 // (JumpPoint ready Laden [Anim2])
			goto Ready
/* **********          Unload          ********** */
		Unload_Start:
			TNT1 A 0 A_TakeInventory("Unload", 1)
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 1, 1) // is ammo in magazine?
			goto Ready
			REL0 ABCDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL1 A 1 A_PlaySound("weapons/AK47/reload1")
			REL1 BCDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL2 A 1 A_PlaySound("weapons/AK47/reload2")
			REL2 BCDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL3 ABCDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL4 ABCDEFGHIJKLMNOPQRSTUVWXYZ 1
			REL5 ABCDEFGHIJKLM 1
		Unload_Transfer: // Ammo Transfer [Entladen]
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 1, 1) // is ammo in magazine? Wenn im Magazin noch mindestens ein Ammo drin ist, dann zum (Ammo Transfer (Entladen)) springen
			goto Unload_End // magazine is empty -> End Unload Sequence
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 A_GiveInventory("Clip", 1)
			goto Unload_Transfer //loop to unload all
		Unload_End:
			TNT1 A 0
			goto Ready
/* **********          DropAmmo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Clip", 12, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Clip", 12)
			TNT1 A 0 A_SpawnItemEx("Clip_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          DropWeapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavy", 1, 1) // is weapon in inventory?
			goto Ready
			//Unload magazine start
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyBullets", 1, 1) // is ammo in magazine?
			goto DropWeapon_Start+5 // magazine is empty -> Drop Weapon
			TNT1 A 0 A_TakeInventory("MiniGunHeavyBullets", 1)
			TNT1 A 0 A_GiveInventory("Clip", 1)
			goto DropWeapon_Start+2 //loop to unload all
			//Unload magazine end
			TNT1 A 0 A_JumpIfInventory("MiniGunHeavyRotate", 1, "DropWeapon_SpinDown")
			TNT1 A 0 A_SpawnItemEx("MiniGunHeavyPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MiniGunHeavy", 1)
			goto Deselect+1
		DropWeapon_SpinDown:
			TNT1 A 0 A_TakeInventory("MiniGunHeavyRotate", 1)
			TNT1 A 0 A_PlaySound("weapons/minigundown")
			TNT1 A 0 A_SpawnItemEx("MiniGunHeavyPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("MiniGunHeavy", 1)
			goto Deselect+1
		Flash:
			MINI XYXYXY 1 bright
			Stop
	}
}
//  ********************************************************
//  ***  Ammo: Shotgun Ammo                              ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR ShotgunBullets : Ammo
{
	Inventory.Amount 0
	Inventory.MaxAmount 8
	Ammo.BackpackAmount 0
	Ammo.BackpackMaxAmount 8
//	Inventory.Icon REVII0
	States
	{
		Spawn:
			REVI I -1
			Stop
	}
}

//  ********************************************************
//  ***  Weapon: Shotgun 2 (SPAS)                        ***
//  ***  BY: ??? from sww WAD                            ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
actor ShotgunPickup : CustomInventory
{
	Scale 0.3
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got a SPAS (Shotgun)!"
	states
	{
		Spawn:
			SPAS Z -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Shotgun2", 1, 3)
			TNT1 A 0 A_GiveInventory("Shotgun2", 1)
			TNT1 A 0 A_GiveInventory("ShotgunBullets", 8)
			stop
			TNT1 A 0 A_GiveInventory("Shell", 8)
			TNT1 A 0 A_SpawnItemEx("ShotgunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor ShotgunPickupEmpty : ShotgunPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Shotgun2", 1, 1)
			TNT1 A 0 A_GiveInventory("Shotgun2", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("ShotgunPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR Shotgun2 : Weapon // 25054
{
	Scale 0.3
	weapon.selectionorder 1300
	Weapon.AmmoType "ShotgunBullets" 
	Weapon.AmmoGive 0
	Weapon.AmmoType2 "Shell" 
//	Weapon.AmmoGive2 8
	AttackSound "weapons/shtgn2fr"
	States
	{
		Spawn:
			SPAS Z 1
			SPAS Z 0 A_SpawnItem("ShotgunPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("Reload",1,"Reload_Start")
			TNT1 A 0 A_JumpIfInventory("Unload",1,"Unload_Start")
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			SPAS A 1 A_WeaponReady
			Loop
		Deselect:
			SPAS A 1 A_Lower
			Loop
		Select:
			SPAS A 1 A_Raise
			Loop
		Fire:
			NULL A 0
			NULL A 0 A_JumpIfInventory("ShotgunBullets", 1, 2) // Wenn genug (Ammo Magazin), dann zur Aktion gehen
			SPAS A 6 A_PlaySound("weapons/magnum/noammo") // No (Ammo Magazin) Sound (no Ammo)
			goto Ready
			NULL A 0 A_Jump(128, "Fire2")
			NULL A 0 // Aktion1
			NULL A 0 A_TakeInventory("ShotgunBullets", 1) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			SPAS A 0 A_GunFlash
			SPAS A 0 A_Light2
			AT00 A 1 Bright A_FireBullets(4,2,9,5,"BulletPuff",1)
			AT00 BCDEFGHIJKLMN 1
			AT00 O 1 Bright A_Light0
			AT00 P 1 BRIGHT A_FireCustomMissile("CasingShotgun_x",300+random(-16,16),0,3,6)
			AT00 Q 1
			AT00 R 1 A_PlaySound("weapons/reload")
			AT00 STUVWXYZ 1
			AT01 ACEGIKMOQSUW 1//AT01 ABCDEFGHIJKLMNOPQRSTUVWXY 1
			Goto Ready
		Fire2:
			NULL A 0 // Aktion2
			NULL A 0 A_TakeInventory("ShotgunBullets", 1) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			SPAS A 0 A_GunFlash
			SPAS A 0 A_Light2
			AT10 A 1 Bright A_FireBullets(4,2,9,5,"BulletPuff",1)
			AT10 BCDEFGHIJKLMN 1
			AT10 O 1 Bright A_Light0
			AT10 P 1 BRIGHT A_FireCustomMissile("CasingShotgun_x",300+random(-16,16),0,3,6)
			AT10 Q 1
			AT10 R 1 A_PlaySound("weapons/reload")
			AT10 STUVWXYZ 1
			AT11 ACEGIKMOQSUW 1//AT11 ABCDEFGHIJKLMNOPQRSTUVWXY 1
			Goto Ready
		AltFire:
			NULL A 0
			NULL A 0 A_JumpIfInventory("ShotgunBullets", 2, 2) // Wenn genug (Ammo Magazin), dann zur Aktion gehen
			SPAS A 6 A_PlaySound("weapons/magnum/noammo") // No (Ammo Magazin) Sound (no Ammo)
			goto Ready
			NULL A 0 //A_Jump(128, "Fire2")
			NULL A 0 // Aktion1
			NULL A 0 A_TakeInventory("ShotgunBullets", 2) // Eins von (Ammo Magazin) nehmen
//  	... fire code ... 
			SPAS A 0 A_GunFlash
			SPAS A 0 A_Light2
			AT00 A 1 Bright A_FireBullets(4,2,9,5,"BulletPuff",1)
			AT00 BCB 1 BRIGHT
			AT00 A 1 Bright A_FireBullets(6,2,9,5,"BulletPuff",1)
			AT00 BCDEFGHIJKLMN 1
			AT00 O 1 Bright A_Light0
			AT00 P 1 A_FireCustomMissile("CasingShotgun_x",300+random(-16,16),0,3,6)
			AT00 Q 1 A_FireCustomMissile("CasingShotgun_x",300+random(-16,16),0,3,6)
			AT00 R 1 A_PlaySound("weapons/reload")
			AT00 STUVWXYZ 1
			AT01 ACEGIKMOQSUW 1//AT01 ABCDEFGHIJKLMNOPQRSTUVWXY 1
			Goto Ready
/* **********          Reload          ********** */
		Reload_Start:
			TNT1 A 0 A_TakeInventory("Reload", 1)
			TNT1 A 0 A_JumpIfInventory("Shell", 1, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_JumpIfInventory("ShotgunBullets", 8, "Ready") // magazine full
			REL0 ABCDEFGHIJKLMN 1
		Reload_Transfer:// Ammo Transfer [load weapon] (:zu diesem Zeitpunkt ist sichergestellt, dass mindestens 1 Ammo im Inventar vorhanden ist, und dass das Magazin nicht voll ist)
			REL1 ABCDEFGH 1
			REL1 I 0 A_TakeInventory("Shell", 1)
			REL1 I 0 A_GiveInventory("ShotgunBullets", 1)
			REL1 I 0 A_PlaySound("weapons/shtgn2rl")
			REL1 IJKLMNOPQ 1
			REL1 Q 0 A_JumpIfInventory("ShotgunBullets", 8, "Reload_End") //if magazine is full then ready
			REL1 Q 0 A_JumpIfInventory("Shell", 1, "Reload_Transfer") //loop to load the rest | Wenn noch was im Inventar da ist, weiterladen
			goto Reload_End
		Reload_End:
			REL2 A 0
			REL2 BCDEFGHIJKLMN 1
			REL2 O 1 A_PlaySound("weapons/reload")
			REL2 PQRSTUVWXYZ 1
			REL3 ABCDEFGHIJKLMNOP 1
			goto Ready
/* **********          Unload          ********** */
		Unload_Start:
			TNT1 A 0 A_TakeInventory("Unload", 1)
			TNT1 A 0 A_JumpIfInventory("ShotgunBullets", 1, 1) // is ammo in magazine?
			goto Ready
			REL0 ABCDEFGHIJKLMN 1
		Unload_Transfer: // Ammo Transfer [Entladen]
			REL1 A 0 A_JumpIfInventory("ShotgunBullets", 1, 1) // is ammo in magazine? Wenn im Magazin noch mindestens ein Ammo drin ist, dann zum (Ammo Transfer (Entladen)) springen
			goto Unload_End // magazine is empty -> End Unload Sequence
			REL1 QPONMLKJI 1
			REL1 I 0 A_PlaySound("weapons/shtgn2rl")
			REL1 I 0 A_TakeInventory("ShotgunBullets", 1)
			REL1 I 0 A_GiveInventory("Shell", 1)
			REL1 HGFEDCBA 1
			goto Unload_Transfer //loop to unload all
		Unload_End:
			REL0 NMLKJIHGFEDCBA 1
			goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Shell", 4, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Shell", 4)
			TNT1 A 0 A_SpawnItemEx("Shell_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("Shotgun2", 1, 1) // is weapon in inventory?
			goto Ready
			//Unload magazine start
			TNT1 A 0 A_JumpIfInventory("ShotgunBullets", 1, 1) // is ammo in magazine?
			goto DropWeapon_Start+5 // magazine is empty -> Drop Weapon
			TNT1 A 0 A_TakeInventory("ShotgunBullets", 1)
			TNT1 A 0 A_GiveInventory("Shell", 1)
			goto DropWeapon_Start+2 //loop to unload all
			//Unload magazine end
			TNT1 A 0 A_SpawnItemEx("ShotgunPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("Shotgun2", 1)
			goto Deselect+1
		Flash:
			SPAF S 2
			Stop
	}
}
//  ********************************************************
//  ***  Spawner: Shotgun                                ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR PP_Shotgun : Shotgun replaces Shotgun // 2001
{
	States
	{
	Spawn:
		NULL A 0
		NULL A 1 A_SpawnItem("Shotgun2",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}

//  ********************************************************
//  ***  Weapon: Skullripper                             ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor SkullripperPickup : CustomInventory
{
	Scale 0.67
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the legendary Skullripper !"
	states
	{
		Spawn:
			SKRW A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Skullripper", 1, 3)
			TNT1 A 0 A_GiveInventory("Skullripper", 1)
			TNT1 A 0 A_GiveInventory("Darkmana", 32)
			stop
			TNT1 A 0 A_GiveInventory("Darkmana", 32)
			TNT1 A 0 A_SpawnItemEx("SkullripperPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor SkullripperPickupEmpty : SkullripperPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Skullripper", 1, 1)
			TNT1 A 0 A_GiveInventory("Skullripper", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("SkullripperPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR Skullripper : Weapon // 25050
{
	Scale 0.67
	weapon.selectionorder 2800
	Weapon.AmmoType "Darkmana"
//	Weapon.Ammogive 32
	Weapon.Ammouse 15
	Weapon.AmmoType2 "Darkmana"
	Weapon.Ammouse2 10
	States
	{
		Spawn:
			SKRW A 0
			SKRW A 1 A_SpawnItem("SkullripperPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			SKRP A 1 A_WeaponReady
			LOOP
		Deselect:
			SKRP A 1 A_Lower
			LOOP
		Select:
			SKRP A 1 A_Raise
			Loop
		Fire:
			AT00 A 0 A_PlaySound ("weapons/skullreaper0")
			AT00 B 0 A_Checkreload  //  A_JumpIfNoAmmo(18)
			AT00 C 4
			AT00 DE 4// A_GunFlash
			AT00 F 4 A_FireCustomMissile("Skullballsmall",6,1,3,0)
			AT00 G 4 A_FireCustomMissile("Skullballsmall",12,0,3,0)
			AT00 H 4 A_FireCustomMissile("Skullballnormal",0,0,5,13)
			AT00 I 4 A_FireCustomMissile("Skullballsmall",0,0,3,0)
			AT00 J 4 A_FireCustomMissile("Skullballsmall",3,0,3,0)
			AT00 K 4 A_FireCustomMissile("Skullballsmall",9,0,3,0)
			AT00 L 4 A_FireCustomMissile("Skullballnormal",9,0,1,-13)
			AT00 M 4 A_FireCustomMissile("Skullballsmall",-6,0,3,0)
			AT00 N 0 A_PlaySound ("weapons/skullreaper1")
			AT00 O 4 A_FireCustomMissile("Skullballsmall",-12,0,3,0)
			AT00 P 4 A_FireCustomMissile("Skullballsmall",-9,0,3,0)
			AT00 Q 4 A_FireCustomMissile("Skullballnormal",6,0,3,0)
			AT00 R 4 A_FireCustomMissile("Skullballsmall",12,0,3,0)
			AT00 S 4 A_FireCustomMissile("Skullballsmall",0,0,5,13)
			AT00 T 4 A_FireCustomMissile("Skullballnormal",0,0,3,0)
			AT00 U 4 A_FireCustomMissile("Skullballbig",0,0,0,0)
			AT00 V 4 A_FireCustomMissile("Skullballsmall",9,0,3,0)
			AT00 WXY 4
			Goto Ready
		AltFire:
			AT00 A 0 A_PlaySound ("weapons/skullreaper0")
			AT00 B 0 A_Checkreload
			AT00 C 4
			AT00 DE 4// A_GunFlash
			AT00 F 4
			AT00 G 4
			AT00 H 4
			AT00 I 4
			AT00 J 4
			AT00 K 4
			AT00 L 4
			AT00 M 4
			AT00 N 0
			AT00 O 4
			AT00 PQRST 4
			AT00 U 0 A_PlaySound ("weapons/skullreaper4")
			AT00 U 4 A_FireCustomMissile("Skullballbig",0,1,0,0)
			AT00 V 4 A_Checkreload
			AT00 W 4
			AT00 U 0 A_PlaySound ("weapons/skullreaper4")
			AT00 U 4 A_FireCustomMissile("Skullballbig",0,1,0,0)
			AT00 V 4 A_Checkreload
			AT00 W 4
			AT00 U 0 A_PlaySound ("weapons/skullreaper4")
			AT00 U 4 A_FireCustomMissile("Skullballbig",0,1,0,0)
			AT00 V 4
			AT00 WXY 4
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Darkmana", 6, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Darkmana", 6)
			TNT1 A 0 A_SpawnItemEx("SmallDarkmana", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("Skullripper", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("SkullripperPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("Skullripper", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: Fist Foot / Punch Kick                  ***
//  ***  By: Weasel                                      ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
/* 
ACTOR KungFu : Weapon
{
	weapon.selectionorder 100
	Weapon.Kickback 9000
	Radius 12
	Height 46
	+MELEEWEAPON
	+NOALERT
	+NOEXTREMEDEATH
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "You found KungFu !"
	AttackSound "weapons/gpunch"
	Weapon.AmmoUse 0
	States
	{
		Ready:
			PUNG A 1 A_WeaponReady
			Loop
		Deselect:
			PUNG A 1 A_Lower
			Loop
		Select:
			PUNG A 1 A_Raise
			Loop
		Fire:
			PUNG A 0 A_JumpIfInventory("PowerStrength", 1, "StrongPunch")
			PUNG A 0 A_Jump(128, "PunchLeft")
			PUNG A 0 A_PlayWeaponSound("weapons/gswing")
			PUNG BC 3
			PUNG D 6 A_CustomPunch(6, 0, 0, "MeleePuff_")
			PUNG EFG 3
			Goto Ready
		PunchLeft:
			PUNL A 0 A_PlayWeaponSound("weapons/gswing")
			PUNL BC 3
			PUNL D 6 A_CustomPunch(6, 0, 0, "MeleePuff_")
			PUNL EFG 3
			Goto Ready
		StrongPunch://Superpunch
			PUNG A 0 A_Jump(128, "StrongPunchLeft")
			PUNG A 0 A_PlayWeaponSound("weapons/gswing")
			PUNG BC 2
			PUNG D 4 A_CustomPunch(16, 0, 0, "MeleePuff_")
			PUNG EFG 2
			Goto Ready
		StrongPunchLeft:
			PUNL A 0 A_PlayWeaponSound("weapons/gswing")
			PUNL BC 2
			PUNL D 4 A_CustomPunch(16, 0, 0, "MeleePuff_")
			PUNL EFG 2
			Goto Ready
		AltFire:
			PUNI A 0 A_JumpIfInventory("PowerStrength", 1, "StrongKick")
			PUNI ABCD 1
			PUNI E 2 A_PlayWeaponSound("weapons/gswing")
			PUNI FGH 3
			PUNI I 5 A_CustomPunch(16, 0, 0, "MeleePuff_", 75)
			PUNI J 5
			PUNI KLM 3
			Goto Ready
		StrongKick:
//			PUNI ABCD 2
			PUNI E 2 A_PlayWeaponSound("weapons/gswing")
			PUNI FGH 3
			PUNI I 4 A_CustomPunch(40, 0, 0, "MeleePuff_", 75)
			PUNI J 3
			PUNI KLM 2
			Goto Ready
	}
}
*/
//  ********************************************************
//  ***  Weapon: Knife                                   ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR KungFu : Weapon
{
	weapon.selectionorder 99
	Weapon.Kickback 9000
	Radius 12
	Height 46
	+MELEEWEAPON
	+NOALERT
	+NOEXTREMEDEATH
	Inventory.PickupSound "misc/w_pkup"
	Inventory.PickupMessage "You found a Knife !"
	AttackSound "weapons/gpunch"
	Weapon.AmmoUse 0
	States
	{
		Ready:
			TNT1 A 0
			IDL0 ABCDEFGHIJKLMNOPQRSTUVWXYZ 2 A_WeaponReady
			IDL1 ABCDEFGHIJ 2 A_WeaponReady
			goto Ready
			Loop
		Deselect:
			DES0 ABCDEFGHIJKLM 2 //A_Lower
			DES0 M 1 A_Lower
			goto Deselect+13
		Select:
			IDL0 A 1 A_Raise
			loop
//			SEL0 ABCDEFGHIJKLM 2 //A_Raise
//			TNT1 A 0 A_Raise
//			goto Select+13
		Fire:
			TNT1 A 0
			PUNG A 0 A_JumpIfInventory("PowerStrength", 1, "StrongPunch")
			PUNG A 0 A_Jump(64, "Attack1")
			PUNG A 0 A_Jump(160, "Attack3")
			goto Attack2
		Attack1:
			AT11 AB 2
			AT11 C 2 A_PlayWeaponSound("weapons/gswing")
			AT11 DE 2
			AT11 F 2 A_CustomPunch(6, 0, 0, "MeleePuff_")
			AT11 GHIJK 2
			Goto Ready
		Attack2:
			AT12 ABC 2
			AT12 D 2 A_PlayWeaponSound("weapons/gswing")
			AT12 EFG 2
			AT12 H 2 A_CustomPunch(6, 0, 0, "MeleePuff_")
			AT12 IJKLMN 2
			Goto Ready
		Attack3:
			AT13 ABC 2
			AT13 D 2 A_PlayWeaponSound("weapons/gswing")
			AT13 EFG 2
			AT13 H 2 A_CustomPunch(6, 0, 0, "MeleePuff_")
			AT13 IJKLMNOPQRS 1
			Goto Ready
		StrongPunch://Superpunch
			TNT1 A 0
			PUNG A 0 A_Jump(64, "StrongAttack1")
			PUNG A 0 A_Jump(160, "StrongAttack3")
			goto StrongAttack2
		StrongAttack1:
			AT11 AB 2
			AT11 C 2 A_PlayWeaponSound("weapons/gswing")
			AT11 DE 2
			AT11 F 2 A_CustomPunch(16, 0, 0, "MeleePuff_")
			AT11 GHIJK 2
			Goto Ready
		StrongAttack2:
			AT12 ABC 2
			AT12 D 2 A_PlayWeaponSound("weapons/gswing")
			AT12 EFG 2
			AT12 H 2 A_CustomPunch(16, 0, 0, "MeleePuff_")
			AT12 IJKLMN 2
			Goto Ready
		StrongAttack3:
			AT13 ABC 2
			AT13 D 2 A_PlayWeaponSound("weapons/gswing")
			AT13 EFG 2
			AT13 H 2 A_CustomPunch(16, 0, 0, "MeleePuff_")
			AT13 IJKLMNOPQRS 1
			Goto Ready
		AltFire:
			AT21 A 0 A_JumpIfInventory("PowerStrength", 1, "StrongKick")
			AT21 ABC 1
			AT21 D 2 A_PlayWeaponSound("weapons/gswing")
			AT21 E 3
			AT21 F 5 A_CustomPunch(16, 0, 0, "MeleePuff_", 75)
			AT21 GHIJ 3
			AT21 KLMNOPQRSTU 2
			Goto Ready
		StrongKick:
			AT21 ABC 1
			AT21 D 2 A_PlayWeaponSound("weapons/gswing")
			AT21 E 3
			AT21 F 5 A_CustomPunch(40, 0, 0, "MeleePuff_", 75)
			AT21 GHIJ 3
			AT21 KLMNOPQRSTU 2
			Goto Ready
	}
}
//  ********************************************************
//  ***  Weapon: TwoHandedSword                          ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor TwoHandedSwordPickup : CustomInventory
{
	Scale 0.6
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You found a machete !"
	states
	{
		Spawn:
			SWO0 NOPQ 3
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("TwoHandedSword", 1, 1)
			TNT1 A 0 A_GiveInventory("TwoHandedSword", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("TwoHandedSwordPickup", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR TwoHandedSword : weapon // 25010
{
	Scale 0.6
	weapon.selectionorder 101
	Radius 12
	Height 46
	AttackSound "weapons/swordslide"
//	+AMMO_OPTIONAL
//	WEAPON.YADJUST 32
	+WEAPON.MELEEWEAPON
	+WEAPON.BFG
	+WEAPON.NOALERT
//	+WEAPON.DONTBOB
	+NOEXTREMEDEATH
	Weapon.AmmoUse 0
	States
	{
	Spawn:
		SWO0 N 1
		SWO0 N 0 A_SpawnItem("TwoHandedSwordPickup")
		Stop
	Ready:
		SWO0 M 0 A_TakeInventory ("Sequence",1)
		SWO0 M 2 A_WeaponReady
		TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
		goto Ready + 1
	Deselect:
		SWO0 A 0 A_PlayWeaponSound ("weapons/sworddown")
		SWO0 M 1 A_Lower
//		SWO0 LKJIHGFEDCBA 3 A_Lower
		goto Deselect + 1
	Select:
		SWO0 A 0 A_PlayWeaponSound ("weapons/swordup")
		SWO0 M 1 A_Raise
//		SWO0 ABCDEFGHIJKL 3 A_Raise
		goto Select + 1
//		goto Ready
	Fire:
		ATT0 A 0 A_JumpIfInventory("PowerStrength", 1, "StrongHit")
		ATT0 A 0 A_JumpIfInventory ("Sequence",1,"FireSequenze2")
		ATT0 A 2 A_PlayWeaponSound ("weapons/swordwind")
		ATT0 BC 2
		ATT0 DE 2
		ATT0 F 2 A_CustomPunch(random(10,20)+30, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		ATT0 GHIJKLMN 1
		ATT0 OPQRS 1
		ATT0 T 1 A_GiveInventory ("Sequence",1)
		ATT0 T 0 A_Refire
		goto ready
	FireSequenze2:
		ATT1 A 0
		ATT1 A 2 A_PlayWeaponSound ("weapons/swordwind")
		ATT1 BCDEF 2
		ATT1 G 2 A_CustomPunch(random(10,20)+30, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		ATT1 HIJKLMN 1
		ATT1 OPQRSTUV 1
		ATT1 W 1 A_TakeInventory ("Sequence",1)
		ATT1 W 0 A_ReFire
		goto ready
	StrongHit:
		ATT0 A 0 A_JumpIfInventory ("Sequence",1,"FireSequenze2")
		ATT0 A 2 A_PlayWeaponSound ("weapons/swordwind")
		ATT0 BC 2
		ATT0 DE 2
		ATT0 F 2 A_CustomPunch(random(10,20)+60, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		ATT0 GHIJKLM 1
		ATT0 NOPQRS 1
		ATT0 T 1 A_GiveInventory ("Sequence",1)
		ATT0 T 0 A_Refire
		goto ready
	StrongFireSequenze2:
		ATT1 A 0
		ATT1 A 2 A_PlayWeaponSound ("weapons/swordwind")
		ATT1 BCDEF 2
		ATT1 G 2 A_CustomPunch(random(10,20)+60, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		ATT1 HIJKLMN 1
		ATT1 OPQRSTUV 1
		ATT1 W 1 A_TakeInventory ("Sequence",1)
		ATT1 W 0 A_ReFire
		goto ready
	Hold:
		SWO1 A 0 A_JumpIfInventory("PowerStrength", 1, "StrongHold")
		SWO1 A 0 A_JumpIfInventory ("Sequence",1,1)
		goto fire
		SWO1 A 0
		goto FireSequenze2
	StrongHold:
		SWO1 A 0 A_JumpIfInventory ("Sequence",1,1)
		goto StrongHit
		SWO1 A 0
		goto StrongFireSequenze2
	Altfire:
		ATT2 A 0 //A_JumpIfInventory("PowerStrength", 1, "StrongAltfire")
		ATT2 A 2
		ATT2 BCDEFG 2
		ATT2 H 2 A_CustomPunch(random(10,20)+60, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		ATT2 IJKL 2
		ATT2 M 2 A_CustomPunch(random(10,20)+60, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		ATT2 N 2 A_PlayWeaponSound ("weapons/swordup")
		ATT2 OPQRSTUVWXYZ 2
		ATT3 ABCDEFGHIJKLMNOPQRSTUVWXYZ 2
		ATT4 ABCDEF 2
		ATT4 G 2 A_GiveInventory ("Sequence",1)
		ATT4 G 0 A_Refire
		goto ready
	StrongAltfire:
		ATT2 A 0 //A_JumpIfInventory("PowerStrength", 1, "StrongAltfire")
		ATT2 A 2
		ATT2 BCDEFG 2
		ATT2 H 2 A_CustomPunch(random(10,20)+110, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		ATT2 IJKL 2
		ATT2 M 2 A_CustomPunch(random(10,20)+60, 0, 0, "BladePuff_", 90)//A_CustomPunch(9,1,0,1,90)
		ATT2 N 2 A_PlayWeaponSound ("weapons/swordup")
		ATT2 OPQRSTUVWXYZ 2
		ATT3 ABCDEFGHIJKLMNOPQRSTUVWXYZ 2
		ATT4 ABCDEF 2
		ATT4 G 2 A_GiveInventory ("Sequence",1)
		ATT4 G 0 A_Refire
		goto ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("TwoHandedSword", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("TwoHandedSwordPickup", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("TwoHandedSword", 1)
			goto Deselect+1
	}
}
ACTOR Deflector2HSword
{
   Health 15
   Height 70
   Radius 16
   Speed  6
   RENDERSTYLE NONE
   +NOBLOOD
   +SHOOTABLE
   +NOGRAVITY
   +REFLECTIVE
   +NOCLIP
   States
   {
   Spawn: 
      SARG AA 2 
      Stop
   Death: 
      SARG A 0
      Stop
   }
}
ACTOR Sequence : Ammo //4156
{
	Inventory.Amount 0
	Inventory.MaxAmount 1
	States
	{
	Spawn:
		NULL A -1
		Loop
	}
}
//  ********************************************************
//  ***  Weapon: Flame Thrower                           ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor FlameThrowerPickup : CustomInventory
{
	Scale 0.7
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the Flamethrower!"
	states
	{
		Spawn:
			FLMM Z -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("TheFlameThrower", 1, 3)
			TNT1 A 0 A_GiveInventory("TheFlameThrower", 1)
			TNT1 A 0 A_GiveInventory("Fuel", 100)
			stop
			TNT1 A 0 A_GiveInventory("Fuel", 100)
			TNT1 A 0 A_SpawnItemEx("FlameThrowerPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor FlameThrowerPickupEmpty : FlameThrowerPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("TheFlameThrower", 1, 1)
			TNT1 A 0 A_GiveInventory("TheFlameThrower", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("FlameThrowerPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR TheFlameThrower : Weapon // 25081
{
	Scale 0.7
	weapon.selectionorder 2400
	Obituary "%o was burninated by %k's flamethrower!"
	Weapon.AmmoType "Fuel"
//	Weapon.AmmoGive 100
	States
	{
		Spawn:
			FLMM Z 0
			FLMM Z 1 A_SpawnItem("FlameThrowerPickup")
			Stop
		Ready: 
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			FLMM A 1 A_WeaponReady
			Loop
		Deselect: 
			FLMM A 1 A_Lower
			Loop
		Select: 
			FLMM A 1 A_Raise
			Loop
		Fire: 
			FLMM B 0 A_JumpIfInventory("Fuel", 1, 1)
			goto Ready
			FLMM B 0 A_TakeInventory("Fuel", 1)
			FLMM B 0 A_Playsound ("weapons/flamesht")
			FLMM BB 1 A_FireCustomMissile("Flame", Random(-3, 3), 1, 8, Random(-2, 2))
			FLMM B 0 A_TakeInventory("Fuel", 1)
			FLMM B 0 //A_Playsound ("weapons/flamesht")
			FLMM BB 1 A_FireCustomMissile("FlameNoDamage", Random(-4, 4), 1, 8, Random(-3, 3))
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Fuel", 75, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Fuel", 75)
			TNT1 A 0 A_SpawnItemEx("Fuel", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("TheFlameThrower", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("FlameThrowerPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("TheFlameThrower", 1)
			goto Deselect+1
	} 
} 
//  ********************************************************
//  ***  Weapon: BFG2704                                 ***
//  ***  By: Inuyasha_989                                ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
actor BFG2704Pickup : CustomInventory
{
	Scale 1.0
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the legendary BFG 2704!"
	states
	{
		Spawn:
			BFUG A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("BFG2704", 1, 3)
			TNT1 A 0 A_GiveInventory("BFG2704", 1)
			TNT1 A 0 A_GiveInventory("Cell", 60)
			stop
			TNT1 A 0 A_GiveInventory("Cell", 60)
			TNT1 A 0 A_SpawnItemEx("BFG2704PickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor BFG2704PickupEmpty : BFG2704Pickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("BFG2704", 1, 1)
			TNT1 A 0 A_GiveInventory("BFG2704", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("BFG2704PickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR BFG2704 : Weapon // 25027
{
	weapon.selectionorder 2200
	Weapon.AmmoType "Cell"
//	Weapon.Ammogive 60
	Weapon.Ammouse 1
	States
	{
		Spawn:
			BFUG A 0
			BFUG A 1 A_SpawnItem("BFG2704Pickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			BFJG A 1 A_WeaponReady
			LOOP
		Deselect:
			BFJG A 1 A_Lower
			LOOP
		Select:
			BFJG A 0
			BFJG A 1 A_Raise
			Goto Select+1
		Fire:
			BFJG A 4 A_Playsound ("weapons/bfg")
			BFJI ABCDEFGHI 8
			BFJG B 10 A_GunFlash
			BFJG B 0 A_PlaySound ("weapons/bfgshot1")
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",0,1,5,13)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",0,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",3,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",9,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",9,1,1,-13)
			BFJG B 1 A_FireCustomMissile("BFGMini",-6,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGMini",-12,1,3,0)
			BFJG B 1 A_FireCustomMissile("BFGPlasma",-9,1,3,0)
			Goto Ready
		Flash:
			BFJF A 5 bright
			BFJF B 5 bright
			BFJF C 5 bright
			STOP
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Cell", 20, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Cell", 20)
			TNT1 A 0 A_SpawnItemEx("Cell_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("BFG2704", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("PhotonRifleHeat", 100)
			TNT1 A 0 A_SpawnItemEx("BFG2704PickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("BFG2704", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: Railgun                                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
actor RailGunXPickup : CustomInventory
{
	Scale 0.8
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the RailGun!"
	states
	{
		Spawn:
			RGUN A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("RailGunX", 1, 3)
			TNT1 A 0 A_GiveInventory("RailGunX", 1)
			TNT1 A 0 A_GiveInventory("Cell", 20)
			stop
			TNT1 A 0 A_GiveInventory("Cell", 20)
			TNT1 A 0 A_SpawnItemEx("RailGunXPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor RailGunXPickupEmpty : RailGunXPickup
{
	states
	{
		Spawn:
			RGUN B -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("RailGunX", 1, 1)
			TNT1 A 0 A_GiveInventory("RailGunX", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("RailGunXPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR RailGunX : Weapon // 25045
{
	Scale 0.8
	weapon.selectionorder 2000
	Weapon.AmmoType "Cell"
//	Weapon.AmmoGive 20
	Weapon.AmmoUse 10
	States
	{
		Spawn:
			RGUN A 0
			RGUN A 1 A_SpawnItem("RailGunXPickup")
			Stop
		Ready:
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			RAIL A 1 A_WeaponReady
			RAIL A 0 A_TakeInventory("PhotonRifleHeat",1)
			Loop
		Deselect:
			RAIL A 1 A_Lower
			RAIL A 0 A_TakeInventory("PhotonRifleHeat",100) 
			Loop
		Select:
			RAIL A 1 A_Raise
			Loop
		Fire:
			RAIL A 0 A_JumpIfInventory("PhotonRifleHeat", 76, "Overheat")
			RAIL A 0 A_PlayWeaponSound("weapons/railgc")
			RAIL A 0 A_GiveInventory("PhotonRifleHeat",25)
			RAIL B 4 A_RailAttack(250, 8, 8,"00 00 FF", "60 60 FF")
			RAIL A 20
			goto Ready
		Overheat:
			RAIL A 0 A_PlaySound("weapons/photonoverheat")
			RAIL A 10 A_FireCustomMissile("PhotonSmoke",0,0,1,-6)
			goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Cell", 20, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Cell", 20)
			TNT1 A 0 A_SpawnItemEx("Cell_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("RailGunX", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("PhotonRifleHeat", 100)
			TNT1 A 0 A_SpawnItemEx("RailGunXPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("RailGunX", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Weapon: Necronomicon                            ***
//  ***  By: Froon                                       ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
actor NecronomiconPickup : CustomInventory
{
	Scale 0.5
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the Necronomicon!"
	+FLOATBOB
	states
	{
		Spawn:
			NCRO A -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Necronomicon", 1, 3)
			TNT1 A 0 A_GiveInventory("Necronomicon", 1)
			TNT1 A 0 A_GiveInventory("Darkmana", 50)
			stop
			TNT1 A 0 A_GiveInventory("Darkmana", 50)
			TNT1 A 0 A_SpawnItemEx("NecronomiconPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor NecronomiconPickupEmpty : NecronomiconPickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("Necronomicon", 1, 1)
			TNT1 A 0 A_GiveInventory("Necronomicon", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("NecronomiconPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR Necronomicon : Weapon // 25020
{
	Scale 0.5
//	Weapon.AmmoGive 50
	Weapon.AmmoUse 10
	Weapon.AmmoUse2 30
	Weapon.AmmoType "Darkmana"
	Weapon.AmmoType2 "Darkmana"
	+FLOATBOB
	States
	{
		Spawn:
			NCRO A 0
			NCRO A 1 A_SpawnItem("NecronomiconPickup")
			Stop
		Ready: 
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			NECR A 1 A_WeaponReady 
			Loop
		Deselect: 
			NECR A 1 A_Lower 
			Loop
		Select: 
			NECR A 1 A_Raise 
			Loop
		Fire:
			NECR A 0 A_JumpIfNoAmmo(1) 
			NECR ABC 3
			NECR C 0 A_Playsound("weapons/incant")//NECR A 30 A_Playsound("weapons/incant")
			NECR DEFDEFDEFDEFDEFDEFDEFDEFDEFDEF 1
			NECR D 3 A_FireCustomMissile("VileField_Start", 0, 1, 0, 0)
			NECR E 4
			NECR F 4
			NECR DCBA 3
			Goto Ready
		AltFire:
			NECR A 0 A_JumpIfNoAmmo(1) 
			NECR ABC 3
			NECR C 0 A_Playsound("weapons/incant")//NECR A 30 A_Playsound("weapons/incant")
			NECR DEFDEFDEFDEFDEFDEFDEFDEFDEFDEFDEFDEFDEFDEFDEF 1
			NECR D 3 A_FireCustomMissile("SpawnOwnMonster", 0, 1, 0, 0)
			NECR E 3 //A_FireCustomMissile("GhostEgg2", 0, 1, 0, 0)
			NECR F 4
			NECR DCBA 3
			Goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Darkmana", 6, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Darkmana", 6)
			TNT1 A 0 A_SpawnItemEx("SmallDarkmana", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("Necronomicon", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_SpawnItemEx("NecronomiconPickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("Necronomicon", 1)
			goto Deselect+1
	}
}
//************************************************************
ACTOR VileField_Start //Healer start
{
	PROJECTILE
	+NOGRAVITY +FRIENDLY +RIPPER +BLOODLESSIMPACT
	RENDERSTYLE NONE
	Radius 8 Height 8 Speed 160
	Damage 0
	States
	{
		Spawn:
			TNT1 A 1
			loop
		Death:
			TNT1 A 1 A_SpawnItem("VileFieldSpawner")
			Stop
	}
}
ACTOR VileFieldSpawner
{
	PROJECTILE
	+NOGRAVITY +RIPPER +BLOODLESSIMPACT +FLOORHUGGER +FLOORCLIP
	RENDERSTYLE NONE
	Radius 3 Height 3 Speed 12
	States
	{
		Spawn:
			TNT1 A 0
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 0)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 16)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 32)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 48)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 64)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 80)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 96)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 112)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 128)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 144)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 160)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 176)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 192)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 208)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 224)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 240)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 256)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 272)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 288)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 304)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 320)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 336)
			TNT1 A 0 A_CustomMissile("VileField", 0, Random(-4, 4), 352)
			Goto Death
		Death:
			TNT1 A 0
			Stop
	}
}
ACTOR VileField //Necronomicon
{
	PROJECTILE
	+FRIENDLY +NOCLIP +RIPPER +BLOODLESSIMPACT
	RENDERSTYLE NONE
	Radius 32 Height 5 Speed 7
	States
	{
	Spawn:
		TNT1 AAAAA 6 A_VileChase
		Stop
	Death:
		TNT1 A 1
		Stop
	Heal:
		TNT1 A 1
		Stop 
	}
}
//************************************************************
ACTOR SpawnOwnMonster //Necronomicon
{
	+FRIENDLY +FLOAT +LOOKALLAROUND +NOBLOCKMONST +NOGRAVITY
	RENDERSTYLE NONE
	Radius 10 Height 20 Speed 16
	States
	{
		Spawn:
			TNT1 A 7
			Goto Death
		Death:
			TNT1 A 4
			TNT1 A 4 A_SpawnItem("Bormereth_Friendly", 1, 0, 0)
			Stop
	}
}      
//  ********************************************************
//  ***  Weapon: Photon Rifle                            ***
//  ***  By: TheDarkArchon                               ***
//  ***  Modified By: Cobalt and Butcher                 ***
//  ********************************************************
actor PhotonRiflePickup : CustomInventory
{
	Scale 0.5
	Inventory.PickupSound "misc/W_pkup"
	Inventory.PickUpMessage "You got the Plasma Rifle!"
	states
	{
		Spawn:
			TRIG Z -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("PhotonRifle", 1, 3)
			TNT1 A 0 A_GiveInventory("PhotonRifle", 1)
			TNT1 A 0 A_GiveInventory("Cell", 30)
			stop
			TNT1 A 0 A_GiveInventory("Cell", 30)
			TNT1 A 0 A_SpawnItemEx("PhotonRiflePickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
actor PhotonRiflePickupEmpty : PhotonRiflePickup
{
	states
	{
		Pickup:
			TNT1 A 0 A_JumpIfInventory("PhotonRifle", 1, 1)
			TNT1 A 0 A_GiveInventory("PhotonRifle", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("PhotonRiflePickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
ACTOR PhotonRifle : Weapon // 25080
{
	Weapon.SelectionOrder 100
	Weapon.Kickback 1
	Weapon.AmmoType1 "Cell"
	Weapon.AmmoType2 "PhotonRifleHeat"
//	Weapon.AmmoGive 30
	Weapon.AmmoUse 1
	Obituary "%o was over-energized by %k's Photon Rifle"
	States
	{
		Spawn:
			TRIG Z 0
			TRIG Z 1 A_SpawnItem("PhotonRiflePickup")
			Stop
		Ready:
			TNT1 A 0 A_CheckReload
			TNT1 A 0 A_JumpIfInventory("DropAmmo",1,"DropAmmo_Start")
			TNT1 A 0 A_JumpIfInventory("DropWeapon",1,"DropWeapon_Start")
			TRIG A 1 A_WeaponReady
			TNT1 A 0 A_TakeInventory("PhotonRifleHeat",1)
			Loop
		Deselect:
			TRIG A 0 A_TakeInventory("PhotonRifleHeat",100) 
			TRIG A 1 A_Lower
			LOOP
		Select: 
			TRIG A 0 A_CheckReload
			TRIG A 1 A_Raise
			LOOP
		Fire:
			TRIG A 0 A_JumpIfInventory("PhotonRifleHeat",98,"Overheat")
			TRIG A 0 A_JumpIfInventory("PhotonRifleHeat",75,"Fire3")
			TRIG A 0 A_JumpIfInventory("PhotonRifleHeat",50,"Fire2")
		//Fire1:
			TRIG A 0 bright A_GiveInventory("PhotonRifleHeat",3)
			TRIG B 1 bright A_FireCustomMissile("PhotonBall",0,1,8,0)
			TRIG A 2
			goto Ready
		Fire2:
			TRIG A 0 bright A_GiveInventory("PhotonRifleHeat",3)
			TRIG B 1 bright A_FireCustomMissile("PhotonBall",0,1,8,0)
			TRIG A 3
			goto Ready
		Fire3:
			TRIG A 0 bright A_GiveInventory("PhotonRifleHeat",3)
			TRIG B 1 bright A_FireCustomMissile("PhotonBall",0,1,8,0)
			TRIG A 4
			goto Ready
		AltFire:
			TRIG A 0 A_JumpIfInventory("Cell",4,1)
			goto Ready
			TRIG A 0 A_TakeInventory("Cell",4)
			TRIG A 0 A_JumpIfInventory("PhotonRifleHeat",101,"Overheat")
			TRIG A 0 A_JumpIfInventory("PhotonRifleHeat",75,"AltFire3")
			TRIG A 0 A_JumpIfInventory("PhotonRifleHeat",50,"AltFire2")
		//AltFire1:
			TRIG A 0 bright A_GiveInventory("PhotonRifleHeat",10)
			TRIG B 2 bright A_FireCustomMissile("PhotonBall_big",0,1,8,0)
			TRIG A 5
			goto Ready
		AltFire2:
			TRIG A 0 bright A_GiveInventory("PhotonRifleHeat",10)
			TRIG B 2 bright A_FireCustomMissile("PhotonBall_big",0,1,8,0)
			TRIG A 8
			goto Ready
		AltFire3:
			TRIG A 0 bright A_GiveInventory("PhotonRifleHeat",10)
			TRIG B 2 bright A_FireCustomMissile("PhotonBall_big",0,1,8,0)
			TRIG A 11
			goto Ready
		Overheat:
			TRIG A 0 A_PlaySound("weapons/photonoverheat")
			TRIG A 10 A_FireCustomMissile("PhotonSmoke",0,0,1,-6)
			goto Ready
/* **********          Drop Ammo          ********** */
		DropAmmo_Start:
			TNT1 A 0 A_TakeInventory("DropAmmo", 1)
			TNT1 A 0 A_JumpIfInventory("Cell", 20, 1) // is ammo in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("Cell", 20)
			TNT1 A 0 A_SpawnItemEx("Cell_", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			goto Ready
/* **********          Drop Weapon          ********** */
		DropWeapon_Start:
			TNT1 A 0 A_TakeInventory("DropWeapon", 1)
			TNT1 A 0 A_JumpIfInventory("PhotonRifle", 1, 1) // is weapon in inventory?
			goto Ready
			TNT1 A 0 A_TakeInventory("PhotonRifleHeat", 100)
			TNT1 A 0 A_SpawnItemEx("PhotonRiflePickupEmpty", 64, 0, 32, 5, 0, 5, 0, 0, 0)
			TNT1 A 1 A_TakeInventory("PhotonRifle", 1)
			goto Deselect+1
	}
}
//  ********************************************************
//  ***  Spawner: PlasmaRifle                            ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR PP_PlasmaRifle : PlasmaRifle replaces PlasmaRifle // 2004
{
	States
	{
	Spawn:
		NULL A 0
		NULL A 1 A_SpawnItem("PhotonRifle",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}
//  ********************************************************
//  ***  Weapon: placeholder (icecannon)                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR IceCannon : PhotonRifle // 25015
{
	States
	{
	Spawn:
		NULL A 0
		NULL A 1 A_SpawnItem("PhotonRifle",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}
//  ********************************************************
//  ***  Weapon: placeholder (quadshotgun)               ***
//  ***  BY: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR HiPrecisionGun : DoubleShotgun // 25055
{
	States
	{
	Spawn:
		NULL A 0
		NULL A 1 A_SpawnItem("DoubleShotgun",1,8)
		Goto Death
	Death: 
		NULL A 0
		Stop
	}
}
//  ********************************************************
//  ***  Weapon: placeholder (vilestaff)                 ***
//  ***  BY: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR Vilestaff // 25021
{
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 1 A_SpawnItem("Necronomicon",1,8)
		Goto Death
	Death: 
		TNT1 A 0
		Stop
	}
}
//  ********************************************************
//  ***  Weapon: Blaster Pistol                          ***
//  ***  BY: Cobalt and Butcher                          ***
//  ********************************************************
ACTOR BlasterPistol : Weapon // 25083
{
	States
	{
	Spawn:
		TNT1 A 0
		TNT1 A 1 A_SpawnItem("Magnum",1,8)
		Stop
	}
}







//untere Sachen eventuell doppelt und sollten zusammengefgt werden
/*************************************************************
***  mp5  ***
*************************************************************/
/* 
actor SFX_3D_MachineGunPickupEmpty : MachineGunPickupEmpty replaces MachineGunPickupEmpty
{
	states
	{
		Spawn:
			MP5_ Y -1
			Loop
	}
}
*/ 
//  ********************************************************
//  ***  Weapon: Railgun                                 ***
//  ***  By: Cobalt and Butcher                          ***
//  ********************************************************
/* 
actor SFX_3D_RailGunXPickupEmpty : RailGunXPickup replaces RailGunXPickupEmpty
{
	states
	{
		Spawn:
			RGUN B -1
			Loop
		Pickup:
			TNT1 A 0 A_JumpIfInventory("RailGunX", 1, 1)
			TNT1 A 0 A_GiveInventory("RailGunX", 1)
			stop
			TNT1 A 0 A_SpawnItemEx("RailGunXPickupEmpty", 0, 0, 0, 1, 0, 1, 0, 0, 0)
			stop
	}
}
*/ 